//发送消息给iframe调整高度
function refreshManHtmlHight() {
	sessionStorage.setItem("session_iframe_h", document.body.clientHeight + 40 + "px");
}
//清除iframe高度
function clearIframeHight() {
	sessionStorage.setItem("session_iframe_h", "0px");
}

/*检查original有没有包含target
			包含返回true*/
function contains(original, target) {
	if (original.indexOf(target) >= 0)
		return true;
	return false;
}

//obj : 标签对象， po:例如margin, padding border等
function getLength(obj, po) {
	if (isEmpty(obj.css("width")))
		return 0;
	return parseFloat(obj.css(po).replace("px", "").trim());
}

//判断是否为无效值
function isEmpty(str) {
	if (str == "" || str == undefined || str == null)
		return true;
	return false;
}
//如果不是android 去掉select 父容器边框
function selectBorderClearByIOS() {
	var phoneName = navigator.userAgent.toLowerCase();
	if (contains(phoneName, "iphone")) {
		var objSel = $("select");
		for (var i = 0; i < objSel.length; i++) {
			var buf = $(objSel.parent());
			buf.css("border-style", "none");
			buf.css("background-color", "transparent");
		}

		var checkBox = $('input[type="checkbox"]');
		checkBox.css("zoom", "100%");
	}
}
//t1为下限，t2为上限，t3为需要保留的小数位
function mathrom(t1, t2, t3) {
	function isNum(n) {
		return /^\d+$/.test(n);
	}
	if (!t1 || (!isNum(t1))) {
		t1 = 0;
	}
	if (!t2 || (!isNum(t2))) {
		t2 = 1;
	}
	if (!t3 || (!isNum(t3))) {
		t3 = 0;
	}
	t3 = t3 > 15 ? 15 : t3; // 小数位不能大于15位
	var ra = Math.random() * (t2 - t1) + t1,
		du = Math.pow(10, t3);
	ra = Math.round(ra * du) / du;

	return ra;
}

//将数字字符串每三位后面加一个逗号
function formatNum(str) {
	var newStr = "";
	var count = 0;

	if (str.indexOf(".") == -1) {
		for (var i = str.length - 1; i >= 0; i--) {
			if (count % 3 == 0 && count != 0) {
				newStr = str.charAt(i) + "," + newStr;
			} else {
				newStr = str.charAt(i) + newStr;
			}
			count++;
		}
		//str = newStr + ".00"; //自动补小数点后两位
		str = newStr;
		return str;
	} else {
		for (var i = str.indexOf(".") - 1; i >= 0; i--) {
			if (count % 3 == 0 && count != 0) {
				newStr = str.charAt(i) + "," + newStr;
			} else {
				newStr = str.charAt(i) + newStr; //逐个字符相接起来
			}
			count++;
		}
		str = newStr + (str + "00").substr((str + "00").indexOf("."), 3);
		return str;
	}
}

//检测输入规则
function clearNoNum(value) {
	value = value.replace(/[^\d.]/g, ""); //清除“数字”和“.”以外的字符   
	value = value.replace(/\.{2,}/g, "."); //只保留第一个. 清除多余的   
	value = value.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
	value = value.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3'); //只能输入两个小数   
	if (value.indexOf(".") < 0 && value != "") { //以上已经过滤，此处控制的是如果没有小数点，首位不能为类似于 01、02的金额  
		value = parseFloat(value);
	}
	return value;
}
//select 自动补全
function selectAddComplet(selectObjThis) {
	var objSelect = $(selectObjThis);
	var index = objSelect.find("option:selected").index();
	objSelect.html("");
	return index;
}