//**********等额本息 start******************************//
//计算购车总计
function getBuyCarSumMoney() {
	//购车款总计＝首付费用合计+还款总额
	return getFirstFeiyong() + getPaySumMoney();
}
//首付费用合计
function getFirstFeiyong() {
	//首付费用合计＝首付金额＋基本税费＋商业保险
	var result = getFirstPay() + getBaseInsu() + getShangbaoMoney("#shangbao_detail_table");
	return result;
}
//获取还款总额
function getPaySumMoney() {
	//还款总额＝贷款总额＋利息总额=∑每月还款额
	var monthSum = parseInt(sessionStorage.getItem("session_qixianmonth"));
	var result = getPerMonthPay() * monthSum;
	return result;
}
//获取 本息，利息总额
function getLiXiSumBenXi() {
	//总利息=还款月数×每月月供额-贷款本金				
	var monthSum = parseInt(sessionStorage.getItem("session_qixianmonth"));
	return getPerMonthPayBenxi() * monthSum - getLoanSumMoney();
}
//等额本息， 获取本金
function getBenJinBeiXi(month)
{
	var loanSum = getLoanSumMoney();
	//月利率
	var monthLilv = parseFloat(sessionStorage.getItem("session_nianlilv")) / 12;
	var monthSum = parseInt(sessionStorage.getItem("session_qixianmonth"));
	var result = ((loanSum*monthLilv)*Math.pow(1+monthLilv, month-1))/(Math.pow(1+monthLilv, monthSum)-1);
	return result;
}

//每月还款
function getPerMonthPay() {
	var lab = sessionStorage.getItem("session_huankuansum_lab");
	var result = 0;
	if (lab == "0") { //等额本息计算
		result = getPerMonthPayBenxi();
	} else if (lab == "1") //等额本金计算
	{
		var monthSum = parseInt(sessionStorage.getItem("session_qixianmonth"));
		for (var i = 1; i <= monthSum; i++) {
			result = result + getPerMonthPayBenjin(i);
		}
	}
	return result;
}
//等额本金  获取指定月份还款额
function getPerMonthPayBenjin(month) {

	//每月月供额=(贷款本金÷还款月数)+(贷款本金-已归还本金累计额)×月利率  （还款月数=1时为首月还款额）
	var loanSum = getLoanSumMoney();
	var perMonth = getPerMonthRepayBenjin(); //每月本金
	var monthSum = parseInt(sessionStorage.getItem("session_qixianmonth"));
	//月利率
	var monthLilv = parseFloat(sessionStorage.getItem("session_nianlilv")) / 12;
	return (loanSum / monthSum) + (loanSum - (perMonth * (month-1))) * monthLilv;
}
//等额本金 获取指定月份月利息
function getBenJinAnyMonthLiXi(month)
{
	//月利率
	var monthLilv = parseFloat(sessionStorage.getItem("session_nianlilv")) / 12;
	return (getLoanSumMoney() - getPerMonthRepayBenjin() * (month - 1))*monthLilv;
}
//等额本金 获取指定月分剩余本金
function getBenJinSurplusBenJin(month)
{
	var loanSum = getLoanSumMoney();
	var perMonth = getPerMonthRepayBenjin(); //每月本金
	return (loanSum - perMonth*month);
}
//等额本金 获取每月还的本金
function getPerMonthRepayBenjin() {
	//每月应还本金=贷款本金÷还款月数
	return getLoanSumMoney() / parseInt(sessionStorage.getItem("session_qixianmonth"));
}
//每月递减额
function getDijianE() {
	//每月月供递减额=每月应还本金×月利率=贷款本金÷还款月数×月利率						
	var perMonth = getPerMonthRepayBenjin(); //每月本金
	//月利率
	var monthLilv = parseFloat(sessionStorage.getItem("session_nianlilv")) / 12;
	return perMonth * monthLilv;
}
//获取等额本金 月利息
function getBenJinMonthLiXi() {
	var monthSum = parseInt(sessionStorage.getItem("session_qixianmonth"));
	return getBenJinLixiSum() / monthSum;
}
//获取等额本金 总利息
function getBenJinLixiSum() {
	//总利息=〔(总贷款额÷还款月数+总贷款额×月利率)+总贷款额÷还款月数×(1+月利率)〕÷2×还款月数-总贷款额
	//总利息 = 总还款-本金
	var result = 0;
	var monthSum = parseInt(sessionStorage.getItem("session_qixianmonth"));
	for (var i = 0; i < monthSum; i++) {
		result = result + getPerMonthPayBenjin(i);
	}
	result = result - getLoanSumMoney();
	return result;
}

//等额本息每月还款
function getPerMonthPayBenxi() {
	//每月还款额＝〔贷款本金×月利率*(1＋月利率)＾还款月数〕÷〔(1＋月利率)＾还款月数-1〕
	var monthLilv = parseFloat(sessionStorage.getItem("session_nianlilv")) / 12;
	var monthSum = parseInt(sessionStorage.getItem("session_qixianmonth"));
	return (getLoanSumMoney() * monthLilv * Math.pow(1 + monthLilv, monthSum)) / (Math.pow(1 + monthLilv, monthSum) - 1);
}

//获取 贷款总额
function getLoanSumMoney() {
	//贷款总额＝裸车价格－首付金额
	var pay = sessionStorage.getItem("session_luoche_zongjia"); //裸车总额
	return parseFloat(pay) - getFirstPay();
}
//获取首付金额

function getFirstPay() {
	//首付金额＝裸车价格×首付比例
	var pay = sessionStorage.getItem("session_shoufubili");
	pay = parseFloat(pay);
	return pay;
}
//获取基本税费
function getBaseInsu() {
	//基本税费 = 购置税+交强险+车船使用费+上牌费
	var result = getBuyInsu() + getpart("#baseInsu_qiangxian") + getpart("#baseInsu_chechuanuse") + getpart("#shangpai_baseInsu");
	return result;

	function getpart(objStr) {
		return parseFloat($(objStr).text().trim());
	}
}
//获取商业保险
function getShangbaoMoney(objStr) {
	var obj = $(objStr);
	var child = obj.children("div.item_cell_conf").children("input[type='checkbox']");
	var result = 0;
	for (var i = 0; i < child.length; i++) {
		var chObj = $(child[i]);
		if (chObj.prop("checked")) {
			var value = chObj.siblings("div").children("div").children("span.flag-flag").text();
			result = result + parseFloat(value);
		}
	}
	return result;
}

//**********等额本息 end******************************/