//=============保费计算start================
//刷新第三者责任险 保费
function refreshThridXianBaoFei() {
	var obj = $("#shangbao_peifujine");
	obj.text(getDutyInsu());
	obj.siblings("span.flag-flag").text(getDutyInsu());
}
//刷新车辆损失险 保费
function refreshSunShiBaoFei() {
	var obj = $("#shangbao_cheliangsunshi");
	obj.text(getSunShi().toFixed(0));
	obj.siblings("span.flag-flag").text(getSunShi());
}
//全车盗抢险
function refreshQuanCheDaoBaoFei() {
	var seatType = parseInt(sessionStorage.getItem("session_seat_type"));
	var json_ = localStorage.getItem("SHANGBAO_DAOQIANXIAN");
	json_ = JSON.parse(json_);
	var price = sessionStorage.getItem("session_luoche_zongjia");
	price = parseFloat(price);

	//计算公式：保费=固定保费+裸车价格×费率
	var result = parseFloat(json_.row[seatType].fixed) + price * parseFloat(json_.row[seatType].rate) / 100;

	var obj = $("#quanchedao_shangdai");
	obj.text(result.toFixed(0));
	obj.siblings("span.flag-flag").text(result);
}
//玻璃单独破碎险
function refreshBoLiBaoFei() {

	var feilv = parseFloat($("#table_boli_sort").val()) / 100;
	var price = sessionStorage.getItem("session_luoche_zongjia");
	price = parseFloat(price);
	//保费=裸车价格×费率
	var result = price * feilv;

	var obj = $("#shangbao_glass_");
	obj.text(result.toFixed(0));
	obj.siblings("span.flag-flag").text(result);

	var lab = sessionStorage.getItem("nva_1");
	if (lab == "1")
		refreshLab2();
	else if (lab == "2")
		refreshChexian(); //
}
//自然损失费
function refreshZiranBaoFei() {
	//保费=裸车价格×0.15%
	var price = sessionStorage.getItem("session_luoche_zongjia");
	price = parseFloat(price) * 0.15 / 100;


	var obj = $("#shangbaoziransunshi");
	obj.text(price.toFixed(0));
	obj.siblings("span.flag-flag").text(price);
}
//不计免赔特约费
function refreshTeyueBaoFei() {
	//保费=（第三者责任险保费+车辆损失险保费）×20%
	var result = (getDutyInsu() + getSunShi()) * 0.2;
	var obj = $("#shangbao_teyue");
	obj.text(result.toFixed(0));
	obj.siblings("span.flag-flag").text(result);
}
//无过责任险
function refreshWuGuo() {
	//保费=第三者责任险保险费×20%
	var result = getDutyInsu() * 0.2;

	var obj = $("#shangbaowuguo");
	obj.text(result.toFixed(0));
	obj.siblings("span.flag-flag").text(result);
}
//车上人员责任险
function refreshCheshang() {
	//保费=投保人数×50
	var people = $("#shangbaotoubao").val();
	if (isEmpty(people))
		people = "0";
	people = parseInt(people);
	var price = people * 50;


	var obj = $("#toubaofeiyong");
	obj.text(price.toFixed(0));
	obj.siblings("span.flag-flag").text(price);
}
//车身划痕险
function refreshHuaHen() {
	initial_shangbao_select3_show(selectAddComplet(this));
	initialCheshenCore();
}

	//商业保险 车身划痕险 可见部分
	function initial_shangbao_select3_show() {
		var localObj = localStorage.getItem("CHE_HUA_HEN");
		localObj = JSON.parse(localObj);

		var obj = $("#table_peifuedu");
		var jsonObj = localObj.item;
		var sel = parseInt(localObj.selected);
		if(arguments.length!=0)
			sel = parseInt(arguments[0]);
		var price = sessionStorage.getItem("session_luoche_zongjia");
		for (var i = 0; i < jsonObj.length; i++) {
			var v = 0;
			for (; v < jsonObj[i].content.length; v++) {
				var str = jsonObj[i].content[v].interval.replace(/x/g, price);
				var script = "(function(){if(" + str + ")return true;else return false;})()";
				if (eval(script))
					break;
			}
			if (i == sel)
			{
				obj.append("<option value='" + jsonObj[i].content[v].obatin + "'selected = 'selected'>" + jsonObj[i].pay.substring(4, jsonObj[i].pay.length) + "</option>");
			}
			else
				obj.append("<option value='" + jsonObj[i].content[v].obatin + "'>" + jsonObj[i].pay + "</option>");
		}
	}
//车身划痕险 初始化
function initialCheshenCore() {
	var obj = $("#shangbao_huahen");
	obj.text($("#table_peifuedu").val());
	obj.siblings("span.flag-flag").text($("#table_peifuedu").val());

	var lab = sessionStorage.getItem("nva_1");
	if (lab == "1")
		refreshLab2();
	else if (lab == "2")
		refreshChexian(); //
}
//商业保险part

//获取第三者责任险
function getDutyInsu() {
	return parseFloat($("#third_duty_select").val().trim());
}
//获取车辆损失险
function getSunShi() {
	var seatType = parseInt(sessionStorage.getItem("session_seat_type"));
	var json_ = localStorage.getItem("SHANGBAO_CHESUN");
	json_ = JSON.parse(json_);
	var price = sessionStorage.getItem("session_luoche_zongjia");
	price = parseFloat(price);

	//计算公式：保费=固定保费+裸车价格×费率
	return parseFloat(json_.row[seatType].fixed) + price * parseFloat(json_.row[seatType].rate) / 100;
}
//获取购置税
function getBuyInsu() {
	//		2018年1月1月前执行下面公式：
	//1.6升及以下排量，购置税=裸车价格×7.5%/1.17；
	//1.6升以上排量，购置税=裸车价格×10%/1.17；

	//2018年1月1月后执行下面公式：
	//购置税=裸车价格×10%/1.17；
	var price = sessionStorage.getItem("session_luoche_zongjia");
	price = parseFloat(price);
	var myDate = new Date();
	//获取当前年
	var year = myDate.getFullYear();
	if (year >= 2018)
		price = price * 0.1 / 1.17;
	else {
		var index = $("#ranyousheng_l  option:selected").index();
		if (index <= 1)
			price = price * 0.075 / 1.17;
		else
			price = price * 0.1 / 1.17;
	}
	return price;
}

//===============end======================