$(function() {
	document.getElementById("result_show_html").onload = iframeinitheight;

	function iframeinitheight() {
		setInterval(timeAdapterIframe, 500);
	}

	selectBorderClearByIOS();
	initial_select_car_seat();
	initial_select_first_ratio();
	initial_loan_qixian();
	initial_NianLilv();
	$("#start_button_calculator").click(start_button);
	checkInput();

	//自适应iframe高度
	function timeAdapterIframe() {
		//var timeOjb = sessionStorage.getItem("timerObj");
		//if(timeOjb != null)
		{
			//clearInterval(timeOjb);
			var height = sessionStorage.getItem("session_iframe_h");
			var obj = $("#result_show_html");
			if (!isEmpty(height) && (obj.css("height") != height)) {
				obj.css("height", height);
			}
		}
	}

	function checkInputMoneyFalse(num) {
		if (isNaN(num)||num < 0.1) {
			$("#start_button_calculator").unbind("click");
			dialog({
				content: '请输入金额(0.1-9999.99)',
				cancel: false,
				ok: function() {
					$("#start_button_calculator").click(start_button);
				}
			}).show();
			return true;
		}
		return false;
	}
	//计算按钮
	function start_button() {
		var lab = sessionStorage.getItem("nva_1");
		lab = parseInt(lab);

		switch (lab) {
			case 0:
				if (checkInputMoneyFalse(getLuoChePrice()))
					return;
				session_save_lab1();
				$("#result_show_html").attr("src", "html/calculator_button_below.html");
				break;
			case 1:
				if (checkInputMoneyFalse(getLab23LuoChe()))
					return;
				session_save_lab23();
				$("#result_show_html").attr("src", "html/quankuan_chexina_detail.html");
				break;
			case 2:
				if (checkInputMoneyFalse(getLab23LuoChe()))
					return;
				session_save_lab23();
				$("#result_show_html").attr("src", "html/chexianjisuan.html");
				break;
		}
	}

	//点击计算后，传值
	function session_save_lab1() {
		//座位的数量。0:六坐以下，1：六座及以上
		sessionStorage.setItem("session_seat_type", $("#car_seat").val().trim());
		//裸车价格
		sessionStorage.setItem("session_luoche_zongjia", getLuoChePrice() + "")
			//首付金额
		sessionStorage.setItem("session_shoufubili", getFirstPay() + "");
		//期限 单位月
		sessionStorage.setItem("session_qixianmonth", daikuanQixianMonth() + "");
		//打折完的基准年利率
		sessionStorage.setItem("session_nianlilv", getLilvAfterDiscount() / 100 + "");
	}
	//点击计算后，传值
	function session_save_lab23() {
		//座位的数量。0:六坐以下，1：六座及以上
		sessionStorage.setItem("session_seat_type", $("#set_car_select").val().trim());
		//裸车价格
		sessionStorage.setItem("session_luoche_zongjia", getLab23LuoChe() + "");
	}

	//初始化家用轿车尺寸
	function initial_select_car_seat() {
		var obj = $(".chekuan_xing");
		obj.append("<option value='0'selected = 'selected'>六座以下</option>");
		obj.append("<option value='1'>六座及以上</option>");
	}

	//初始化首付比例
	function initial_select_first_ratio() {
		var obj = $("#first_ratio");
		var ratio = new Array();
		var rat = 20;
		for (var i = 0; i < 8; i++) {
			ratio[i] = rat;
			rat = rat + 10;
		}
		for (var i = 0; i < ratio.length; i++) {

			if (i == 1)
				obj.append("<option selected = 'selected'value='" + (ratio[i] / 100) + "'>" + ratio[i] + "%" + "</option>");
			else
				obj.append("<option value='" + (ratio[i] / 100) + "'>" + ratio[i] + "%" + "</option>");
		}
	}

	//初始化贷款期限
	function initial_loan_qixian() {
		var qixian = new Array();
		for (var i = 0; i <= 6; i++) {
			qixian[i] = new Array();
		}
		qixian[0][0] = "半年(6期)";
		qixian[0][1] = "0.5";
		qixian[1][0] = "1年(12期)";
		qixian[1][1] = "1";
		qixian[2][0] = "1年半(18期)";
		qixian[2][1] = "1.5";
		qixian[3][0] = "2年(24期)";
		qixian[3][1] = "2";
		qixian[4][0] = "3年(36期)";
		qixian[4][1] = "3";
		qixian[5][0] = "4年(48期)";
		qixian[5][1] = "4";
		qixian[6][0] = "5年(60期)";
		qixian[6][1] = "5";
		var opgroup = $("#loan_qixian");
		for (var i = 0; i < qixian.length; i++) {
			if (i == 6)
				opgroup.append("<option selected = 'selected'value='" + (qixian[i][1] * 12) + "'>" + qixian[i][0] + "</option>");
			else
				opgroup.append("<option value='" + (qixian[i][1] * 12) + "'>" + qixian[i][0] + "</option>");
		}
	}

	//初始化利率
	function initial_NianLilv() {
		var arr = new Array();
		for (var i = 0; i <= 7; i++) {
			arr[i] = new Array();
		}
		arr[0][0] = "基准利率7折";
		arr[0][1] = "0.7";
		arr[1][0] = "基准利率8折";
		arr[1][1] = "0.8";
		arr[2][0] = "基准利率85折";
		arr[2][1] = "0.85";
		arr[3][0] = "基准利率9折";
		arr[3][1] = "0.9";
		arr[4][0] = "基准利率";
		arr[4][1] = "1";
		arr[5][0] = "基准利率1.1倍";
		arr[5][1] = "1.1";
		arr[6][0] = "基准利率1.2倍";
		arr[6][1] = "1.2";
		arr[7][0] = "基准利率1.3倍";
		arr[7][1] = "1.3";
		var obj = $("#loan_nian_lilv");
		for (var i = 0; i < arr.length; i++) {
			if (i == 4)
				obj.append("<option selected = 'selected'value='" + arr[i][1] + "'>" + arr[i][0] + "</option>");
			else
				obj.append("<option value='" + arr[i][1] + "'>" + arr[i][0] + "</option>");
		}
	}
});
//贷款购车 裸车价格 利率输入规则检查
function checkInput() {
	//价格输入事件
	var obj1 = $("#input_car_money");
	obj1.focus(daikuanInputFocus);
	obj1.blur(daikuanInputBlur);
	obj1.bind('input propertychange', daikuanInputChange);

	var obj;
	//利率输入事件
	obj = $("#input_lilv");
	obj.focus(daikuanLilvFocus);
	obj.blur(daikuanLilvBlur);
	
	daikuanLilvBlur();

	//贷款期限事件
	obj = $("#loan_qixian");
	obj.bind('input propertychange', daikuanqixian);

	//lilv 变化刷新利率输入
	obj = $("#loan_nian_lilv");
	obj.bind('input propertychange', daikuanSelectLilv);
}

//贷款期限
function daikuanqixian() {
	refreshLiLvShow();
}

//利率折扣选择发生改变事件
function daikuanSelectLilv() {
	refreshLiLvShow();
}

//根据利率select 刷新利率显示
function refreshLiLvShow() {
	$("#input_lilv").val(getLilvAfterDiscount().toFixed(2));
}

function daikuanLilvFocus() {
	$(this).val("");
}

function daikuanLilvBlur() {
	var value = $("#input_lilv").val();
	if (isEmpty(value)) {
		$("#input_lilv").val(getLilvAfterDiscount().toFixed(2));
	}
}

function daikuanInputChange() {
	var val = $(this).val();
	if (parseFloat(val) > 9999.99) {
		val = val.toString().substring(0, val.length - 1);
	}
	val = clearNoNum(val);
	$(this).val(val);
}

//获取裸车价格
function getLuoChePrice() {
	var value = $("#input_car_money").val().trim();
	value = parseFloat(value) * 10000;
	return value;
}

function daikuanInputFocus() {
	$(this).val("");
}

function daikuanInputBlur() {

}