// 设置根目录的字体大小
(function (doc, win, undefined) {
var docEl = doc.documentElement,
resizeEvt = 'orientationchange' in win? 'orientationchange' : 'resize',
recalc = function () {
var clientWidth = docEl.clientWidth;
if (clientWidth === undefined) return;
docEl.style.fontSize = 20 * (clientWidth / 320) + 'px';
};
if (doc.addEventListener === undefined) return;
win.addEventListener(resizeEvt, recalc, false);
doc.addEventListener('DOMContentLoaded', recalc, false)
})(document, window);


var ScrollFix = function (elem) {
  // Variables to track inputs
  var startY, startTopScroll;

  elem = elem || document.querySelector(elem);

  // If there is no element, then do nothing	
  if (!elem)
    return;

  // Handle the start of interactions
  elem.addEventListener('touchstart', function (event) {
    startY = event.touches[0].pageY;
    startTopScroll = elem.scrollTop;

    if (startTopScroll <= 0)
      elem.scrollTop = 1;

    if (startTopScroll + elem.offsetHeight >= elem.scrollHeight)
      elem.scrollTop = elem.scrollHeight - elem.offsetHeight - 1;
  }, false);
};
$(function(){
  var flag=false;
  // $("input").on("change",function(){
  //   flag=true;
  // })

   $("input").on("focus",function(){
    flag=true;
    // $("#lilist").offset().top = 107.578125 + "px";
    console.log(this);
      if($("input").hasClass("red")){
          $("input").val("");
          $("input").removeClass("red");
        } 

        
    })

  $("#submit").on("click",function(){
    if(flag){
        $("#lilist").html("");
        console.log(document.body.scrollTop)
        $("#lilist").scrollTop(100)
        var datas=$("input").val();
        if (datas != "" && datas != undefined){
           // js要加的内容
            $(".shade").show();
            $.ajax({
              type:'POST',
              // url后面填的是请求的地址
              url:'http://other.gzfingertip.cn/MultToolsServer/query/zd.do',
              contentType: 'application/x-www-form-urlencoded; charset=UTF-8', 
              data:'words='+encodeURIComponent(datas)+'&dever=2',
              dataType:'JSON',
              timeout : 8000,
              success:function(dat){ 
                if (dat.statue=="true") {
                  var json=dat.result;
                        if (json.error_code=="0") {         
                           //数据请求成功: 成语,拼音,解释,出处,例句,语法,同义词,反义词
                           var dj=json.result;//返回数据
                           var str='';//传递容器
                           var key='';
                           str+="<li><div>"+"汉字"+"</div><p>"+datas+"</p></li>"
                           for (var k in dj) {
                              switch(k){
                                case "py": 
                                  key="拼音";
                                  str+="<li><div>"+key+"</div><p class='pin'> ["+dj[k]+"] </p></li>"
                                break;
                                case "wubi": 
                                  key="五笔";                         
                                  str+="<li><div>"+key+"</div><p>"+dj[k]+"</p></li>"
                                break;
                                case "bushou":                          
                                  key="部首";
                                  str+="<li><div>"+key+"</div><p>"+dj[k]+"</p></li>"
                                break;
                                case "bihua":                          
                                  key="笔画";
                                  str+="<li><div>"+key+"</div><p>"+dj[k]+"</p></li>"
                                break;
                                case "jijie":                          
                                  key="简解";
                                  var lis=dj[k];
                                  //console.log(lis);
                                  var s='';
                                  var indext=0;
                                  var reg= /^[A-Za-z]+$/;
                                  for (var i=0;i<(lis.length-3); i++) {
                                    if (indext==i) {
                                      s+="<img src='img/int.png' alt=''>   "+lis[i];
                                    }else if((indext+1)==i){
                                      s+=" "+lis[i]+"<br>";
                                    }
                                    else{
                                      if (! reg.test(lis[i].replace(/\s/g,''))) {
                                       s+="<img src='img/int2.png' alt=''>  "+lis[i]+"<br>";
                                      }                             
                                    }
                                    if (lis[i]=="") {
                                        indext=i+1;
                                    }
                                  }
                                  str+="<li><div>"+key+"</div><p>"+s+"</p></li>"
                                break;

                                case "xiangjie":
                                  key="详解";
                                  var lis_1=dj[k];
                                  // console.log(lis_1);
                                  var t='';
                                  var index=0;
                                  // console.log(datas)
                                  // var reg_1=/^[]+$/;
                                  var reg_2= /^[a-zà-ǜ-]+$/;
                                  for(var j=0;j<lis_1.length-1;j++){
                                    var arr=lis_1[j].split('');
                                    var index1 = index2 = index3 = index4 = index5 = index6 = index7 = index8 = -1;
                                    // console.log(lis_1[3].length) 
                                    if(lis_1[index].length=='1'){
                                      if (lis_1[j].length=='1'&&arr[0]==datas) {
                                        index=j;
                                        //console.log(j)
                                      }
                                      if(index==j){
                                        t+="<img src='img/int.png' alt=''>   "+lis_1[j];
                                      }else if(index+1==j){
                                        t+=" "+lis_1[j];
                                      }else if(index+2==j){
                                        if(reg_2.test(lis_1[j])){
                                          t+=" "+lis_1[j];                                 
                                        }else{
                                          t+=" "+lis_1[j]+" "+"<br>";
                                        }
                                      }else if(index+3==j){
                                        
                                         for(var x in arr){                                     
                                          if(arr[x] == '〖'){
                                            index5=x;
                                            for(var y in arr){
                                              if(arr[y] == '〗'){
                                                index6=y;
                                              }
                                            }
                                          }
                                         }  
                                          if(index5!='-1'&&index6!='-1'){
                                            arr.splice(index5, (index6-index5+1));
                                            t+="<img src='img/int2.png' alt=''>  "+arr.join('')+"<br>";
                                          }else{
                                            t+=" "+lis_1[j]+" "+"<br>";
                                          }
                                      }else{
                                        
                                        for(var m in arr){                                     
                                          if(arr[m] == '〖'){
                                            index1=m;
                                            for(var n in arr){
                                              if(arr[n] == '〗'){
                                                index2=n;
                                              }
                                            }
                                            
                                          }else if(arr[m] == '《'){
                                            index3=0;  
                                                                              
                                          }else{
                                            index4=0;

                                          }
                                        }
                                        if(index1!='-1'&&index2!='-1'){
                                          arr.splice(index1, (index2-index1+1));
                                          t+="<img src='img/int2.png' alt=''>  "+arr.join('')+"<br>";
                                        }else if(index3=='0'){
                                          t+="<img src='img/int2.png' alt=''><img src='img/int2.png' alt=''>※"+arr.join('')+"<br>";
                                        }else if(index4=='0'){
                                          t+="<img src='img/int2.png' alt=''>  "+arr.join('')+"<br>";
                                        }
                                      }
                                    }else if(lis_1[index].length!='1'){
                                      if (lis_1[j].length>='2'&&arr[0]==datas&&reg_2.test(lis_1[j+1])) {
                                        index=j;
                                        //console.log(j)
                                      }
                                      if(index==j){
                                        t+="<img src='img/int.png' alt=''>   "+lis_1[j];
                                      }else if(index+1==j){
                                        t+=" "+lis_1[j]+"<br>";
                                      }else{
                                        for(var m in arr){
                                          if(arr[m] == '〖'){
                                            index1=m;
                                            for(var n in arr){
                                              if(arr[n-2] == '〗'&&arr[n-1] == '∶'){
                                                index2=n-1;
                                              }else if(arr[n-2] == '〗'&&(arr[n-1] != '∶' || arr[n-1] == undefined)){
                                                index2=n-2;
                                                // console.log(arr[n-1])
                                              }
                                            }
                                            
                                          }else if(arr[m] == '《'){
                                            index3=0;
                                            
                                          }else{
                                            index4=0;
                                          }
                                        }
                                        if(index1!='-1'){
                                          arr.splice(0, index2+1);
                                           for(var z in arr){                                     
                                            if(arr[z] == '〗'){
                                              index7=z;
                                            }
                                           }  
                                            if(index7!='-1'){
                                              arr.splice(0, index7+1);
                                              // t+="<img src='img/int2.png' alt=''>  ▲"+arr.join('')+"<br>";
                                            }else{
                                              t+="<img src='img/int2.png' alt=''>  ▲"+arr.join('')+"<br>";
                                            }
                                          // t+="<img src='img/int2.png' alt=''>  ▲"+arr.join('')+"<br>";
                                        }else if(index3=='0'){
                                          t+="<img src='img/int2.png' alt=''>  ※"+arr.join('')+"<br>";
                                        }else if(index4=='0'){
                                          t+="<img src='img/int2.png' alt=''>  "+arr.join('')+"<br>";
                                        }  
                                      }
                                    }
                                    
                                    if (lis_1[j]=="") {
                                        index=j+1;
                                    }
                                  }
                                  str+="<li><div>"+key+"</div><p>"+t+"</p></li>"
                                break;  
                              }
                           }
                           $("#lilist").html(str);
                      }else{
                        $("#inputly").val("您输入的内容暂未收录").addClass("red");
                        $("#lilist").html("");
                      }             
                }else{
                  $("#inputly").val("您输入的内容暂未收录").addClass("red");
                  $("#lilist").html("");
                }

                // js要加的内容
                $(".shade").hide();
                $("#error_msg").css({"color":"red","height":"0","line-height":"0"}).html("");//清除数据

              },
              error:function(XMLHttpRequest,textStatus){
                if(textStatus == 'timeout'){
             flag=true;
                     $("#error_msg").css({"color":"red","height":"1.33rem","line-height":"1.33rem"}).html("请求超时,请稍后重试....");
          }
                if(textStatus == 'error'){
             flag=true;
             $("#error_msg").css({"color":"red","height":"1.33rem","line-height":"1.33rem"}).html("请求失败,请稍后重试....");
          }
          // js要加的内容
          $(".shade").hide();
          $("#lilist").html("");
              }
            })
        }else{
          $("#inputly").val("请输入汉字").addClass("red");
          flag=false;
        }
        
     }
     // flag=false;
  });
  
   //根据不同的系统类型，设置不同的标题
    if(isIOS())
    {
	   document.title = "汉语字典";
    }
    else
    {
    	document.title = "字典";
    }
  
});