var chart = null;
var YINGNAGESHUI_TAX;
$(function() {
	initshow();
	initialClick(); //初始化
	oparetResult();
	$("body").css("background-color", "#fbfbfb");
	//初始化显示
	function initshow(){
		var nav = sessionStorage.getItem("INDEX_NAV");
		if(nav == "1")
		{
			var divObj = $(".buttonarea");
			$(divObj[0]).hide();
			$(divObj[1]).show();
		}
	}
	
	//初始化点击事件
	function initialClick() {
		initResetBut(); //初始化按钮 “重新计算”
	}

	//初始化按钮 “重新计算”和"查看明细"
	function initResetBut() {
		$(".buttonconf").click(function() {
			var tagid = $(this).attr("tagid");
			if (tagid == "0") //重新计算
			{
				history.go(-1); //返回上一页，且保持上一页数据都在
			} else if (tagid == "1") //查看明细
			{
				//处于那个nav 
				var nav = sessionStorage.getItem("INDEX_NAV");
				var grade = getUrlParam("grade");
				var str = "grade=" + grade + "&salary=" + getUrlParam("salary") + "&yngs=" + YINGNAGESHUI_TAX;
				sessionStorage.setItem("SALARY_CURRENT", getUrlParam("salary"));
				window.open("detailed.html?" + str);
			}
		});
	}

	//计算
	function oparetResult() {
		//处于那个nav 
		var nav = sessionStorage.getItem("INDEX_NAV");
		var grade = getUrlParam("grade");
		var result;
		var cityInfor = getCityInfor();
		if (cityInfor == null)
			return;
		if (nav == "0" && grade == "0") { //"计算税后"，工资薪金所得
			var salary = getUrlParam("salary");
			result = jisuan1(salary, cityInfor);
			result.shuiqian = salary;
		} else if (nav == "1" && grade == "0") { //"反推税前"，工资薪金所得
			var salary = getUrlParam("salary");
			var sjsf = getUrlParam("sjsfid"); //所教税费
			var cityInfor = getCityInfor(); //获取城市
			var num = jisuan2(salary, sjsf, cityInfor);
			result = jisuan1(num, cityInfor);
			result.shuiqian = num;
		}
		setNumber();
		$('#container').highcharts({
			chart: {
				plotBackgroundColor: '#FBFBFB',
				plotBorderWidth: null,
				plotShadow: false,
				spacing: [0, 0, 0, 0]
			},
			title: {
				floating: true,
				useHTML: true,
				text: "<div style='text-align:center;font-size:0.6rem;'>" + parseFloat(result.shuiqian).toFixed(2) + "元</div><div style='font-size:0.6rem;text-align:center;color:#1B82D2'>税前工资</div>"
			},
			tooltip: {
				pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
			},
			plotOptions: {
				pie: {
					allowPointSelect: true,
					cursor: 'pointer',
					dataLabels: {
						enabled: true,
						//format: '<b>{point.name}</b>: {point.percentage:.1f} %',
						format: '<b>{point.name}</b>',
						style: {
							color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'
						}
					},
					point: {
						events: {
							mouseOver: function(e) { // 鼠标滑过时动态更新标题
									// 标题更新函数，API 地址：https://api.hcharts.cn/highcharts#Chart.setTitle
									chart.setTitle({
										text: "<div style='text-align:center;font-size:0.6rem;'>" + solveNan(parseFloat(result.shuiqian).toFixed(2)) + "元</div><div style='font-size:0.6rem;text-align:center;color:#1B82D2'>税前工资</div>"
										// text: e.target.name
									});
								}
								//, 
								// click: function(e) { // 同样的可以在点击事件里处理
								//     chart.setTitle({
								//         text: e.point.name+ '\t'+ e.point.y + ' %'
								//     });
								// }
						}
					},
				}
			},
			series: [{
				type: 'pie',
				innerSize: '80%',
				name: '所占比重',
				data: [
					[solveNan(result.ynse.toFixed(2)), result.ynse],
					[solveNan(result.gerenshuie.toFixed(2)), result.gerenshuie],
					[solveNan(result.shuihou.toFixed(2)), result.shuihou]
				]
			}]
		}, function(c) {
			// 环形图圆心
			var centerY = c.series[0].center[1],
				titleHeight = parseInt(c.title.styles.fontSize);
			c.setTitle({
				y: centerY + titleHeight / 2
			});
			chart = c;
		});
		function setNumber() {
			$("#geshui").html(solveNan(result.ynse.toFixed(2)));
			$("#wuxian").html(solveNan(result.gerenshuie.toFixed(2)));
			$("#shuiback").html(solveNan(result.shuihou.toFixed(2)));
		}
		function solveNan(obj) {
			var number = 0;
			if(isNaN(obj)){
				number = 0.00;
			}else{
				number = obj;
			}
			return number;
		}
	}
});