$(function() {

	initial();
	//初始化
	function initial() {
		initCityList();
		initiClick(); //城市选中点击事件
	}

	//初始化城市列表
	function initCityList(){
		var jsondata = localStorage.getItem("CITY_JSON");
		jsondata = JSON.parse(jsondata);
		if(isEmpty(jsondata))
			return ;
		var list = jsondata.city;
		var content = "";
		var citynum = 0;
		for(var index in list)
		{
			var buf = list[index].item;
			if(!isEmpty(list[index].title))
				content += "<div class='splinesort'><span>"+list[index].title+"</span></div>"
			for(var ind in buf)
			{
				var cityinfor = buf[ind];
				content += '<div class="splinesort bcsp" citynum="'+citynum+'"><span>'+cityinfor.name+'</span></div>';
				citynum++;
			}
		}
		$("#citycontent").append(content);
		var specialNum = [0,2,3,7,9,10,13,18,19,20,22,25,26,31,33,35,38,39,42];
		$(".bcsp").each(function(){
			// console.log($(this).attr("citynum"));
			if ($(this).attr("citynum") == 0){
				$(this).find("span").css("font-weight","bold");
			}
			for(var i in specialNum){
				if($(this).attr("citynum") == specialNum[i]){
					$(this).css("border-bottom","0");
				}
			}
		})
	}

	//城市选中点击事件
	function initiClick() {
		$(".bcsp").click(function() {
			var cityName = $(this).children("span").text();
			var cityInfor = {};
			cityInfor.cityName = cityName;
			cityInfor.citynum = $(this).attr("citynum");
			// alert(cityInfor.cityName)
			// alert(cityInfor.citynum)
			sessionStorage.setItem("selecedCity_session", JSON.stringify(cityInfor));
			// history.go(-1);
			window.history.back(-1);
			
		});
	}
});