$(function() {

	initial();

	//初始化
	function initial() {
		initCityShow(); //初始化 城市显示
		refreshRuleShow(); //根据 收入类型的显示或隐藏相关界面，根据对应的输入判断是否显示“开始计算”
		inpmonCheckRule(); //金额输入规则检测
		initialClick(); //初始点击事件
		$("select").css("line-height","2.18rem");
	}
	//=====================
	function initialClick() {
		initNav(); //首页导航初始点击事件初始化
		initSelCity(); //选择城市点击事件
		initStartupCal(); //开机计算 按钮
		initCustomDefault(); //"自定义计算"
		inputTyle(); //收入类型选择事件
		initSlb(); //税率表点击事件
		initChangeDangyue(); //当月工资select 选择事件
	}

	//首页导航初始点击事件初始化
	function initNav() {
		$(".hebut").click(function() {
			$(".hebut").css("background-color", "white");
			$(".dish").css("color", "#1B82D2");
			var $this = $(this);
			$this.css("background-color", "#1B82D2");
			$this.children("span").css("color", "white");
			sessionStorage.setItem("INDEX_NAV", $this.attr("nav_but") + "");
			refreshRuleShow();
		});
		var index_nav = sessionStorage.getItem("INDEX_NAV");
		if (isNaN(index_nav) || isEmpty(index_nav)) {
			index_nav = 0;
		} else {
			index_nav = parseInt(index_nav);
		}
		$(".hebut")[index_nav].click(); //默认选中"计算税后"
	}

	//选择城市点击事件
	function initSelCity() {
		$("#citybut").click(function() {
			window.open("html/citysel.html");
		});
	}

	//开机计算 按钮
	function initStartupCal() {
		$("#startupbut").click(function() {
			var flag = $(this).children("img").attr("tagid");
			if ("true" == flag) {
				var type = getInputSort();
				switch (type) {
					case "0":
						var salary = $("#inpmoney").val(); //工资
						var sjsf = $("#sjsfid").val(); //五险一金
						var index_nav = sessionStorage.getItem("INDEX_NAV"); //0：正推；1反推
						if(index_nav == "1")
						{
							var resultObj = getCityBaseLineObj();
							sjsf = parseFloat(sjsf);
							if(sjsf > resultObj.topLimit){
								var divObj = $("#xstsywt");
								divObj.children("span").text("五险一金超出"+resultObj.cityname+"范围");
								divObj.css("visibility", "visible");
								return;
							} else if (sjsf < resultObj.downLimit){
								var divObj = $("#xstsywt");
								divObj.children("span").text("五险一金低于" + resultObj.cityname + "范围");
								divObj.css("visibility", "visible");
								return;
							}
						}
						// alert(sjsf)
						window.open("html/calculatresult.html?salary=" + salary + "&grade=" + type + "&sjsfid=" + sjsf);
						break;
					case "1":
					case "2":
						var tagid = $("#dygzselid").find("option:selected").attr("grade");
						// alert(tagid)
						if (tagid == "1") {
							if (parseFloat($("#dygz").val()) < parseFloat($("#wxyjid").val())) {
								var divObj = $("#xstsywt");
								divObj.children("span").text("当月工资应大于五险一金，请重新输入");
								divObj.css("visibility", "visible");
								return;
							}
						}
						$("#xstsywt").css("visibility", "hidden");
						var dygz = $("#dygz").val(); //当月工资
						var wxyjid = $("#wxyjid").val(); //五险一金
						var inpsqnzj = $("#inpsqnzj").val(); //税前年终奖
						var srjenumid = $("#srjenumid").val(); //劳务收入
						var str = "dygz=" + dygz + "&wxyjid=" + wxyjid + "&inpsqnzj=" + inpsqnzj +
							"&srjenumid=" + srjenumid +
							"&type=" + type + "&tagid=" + tagid;
						window.open("html/btnzj.html?" + str);
						break;
				}
			}
		});
	}
	//"自定义计算"
	function initCustomDefault() {
		$("#cusidcal").click(function() {
			var grade = $("#dygzselid").find("option:selected").attr("grade");
			sessionStorage.setItem("SALARY_CURRENT", "0");
			window.open("html/detailed.html?grade=" + grade);
		});
	}
	//收入类型选择事件
	function inputTyle() {
		$("#gzlx").change(function() {
			refreshRuleShow(); //根据 收入类型的显示或隐藏相关界面，根据对应的输入判断是否显示“开始计算”
		});
	}
	//根据 收入类型的显示或隐藏相关界面，根据对应的输入判断是否显示“开始计算”
	function refreshRuleShow() {
		var grade = getInputSort();
		switch (grade) {
			case "0": //工资、薪金所得
				$("#xsar").hide();
				$("#nzjsd").hide();
				$("#lwbcsdid").hide();
				$("#gzxjsd").show();
				$("#cusidcal").show();
				$("#xstsywt").css("visibility", "hidden");
				var nav = sessionStorage.getItem("INDEX_NAV");
				if (nav == "0") {

					$(".hidenshow").hide();
					$("#cusidcal").show();
					if (!isEmpty($("#inpmoney").val()) && $("#selectCityid").html() != "选择城市" && !isNaN($("#inpmoney").val())) {
						collertCalButton(true);
					} else {
						collertCalButton(false);
					}
				} else {
					// alert(isNaN($("#sjsfid").val()))
					$(".hidenshow").show();
					$("#cusidcal").hide();
					if (isNaN($("#sjsfid").val()) || isNaN($("#inpmoney").val()) || isEmpty($("#sjsfid").val()) || isEmpty($("#inpmoney").val()) || $("#selectCityid").html() == "选择城市") {
						collertCalButton(false);
					} else {
						collertCalButton(true);
					}
				}
				break;
			case "1": //年终奖所得
				$("#lwbcsdid").hide();
				$("#cusidcal").hide();
				$("#gzxjsd").hide();
				var tagid = $("#dygzselid").find("option:selected").attr("grade");
				if ("0" == tagid) {
					$("#xsar").hide();
				} else if ("1" == tagid) {
					$("#xsar").show();
				}
				$("#nzjsd").show();
				$("#xstsywt").css("visibility", "hidden");
				
				checkCalculat(); //检测处于“年终所得”状态时，是否使能“开始计算”
				// alert('refre2')
				break;
			case "2":
				$("#cusidcal").hide();
				$("#gzxjsd").hide();
				$("#xsar").hide();
				$("#nzjsd").hide();
				$("#lwbcsdid").show();
				$("#xstsywt").css("visibility", "hidden");
				checkCalculat(); //检测处于“年终所得”状态时，是否使能“开始计算”
				break;
		}
		alterNotice(); //根据nav 和 收入类型 修改相应提示
	}
	//税率表点击事件
	function initSlb() {
		$("#slbx").click(function() {
			
			var grade = getInputSort();
			// alert(grade);
			if ("0" == grade) {
				window.open("html/gzxjsd.html?id=0");
			} else if ("1" == grade) {
				window.open("html/gzxjsd.html?id=1");
			} else if ("2" == grade) {
				window.open("html/lwbcslb.html");
			}
		});
	}

	//初始化 城市显示
	function initCityShow() {
		var cityinfor = sessionStorage.getItem("selecedCity_session");
		if (isEmpty(cityinfor)) {
			$("#selectCityid").html("选择城市");
			return;
		}
		cityinfor = JSON.parse(cityinfor);
		$("#selectCityid").html(cityinfor.cityName);

		// $("#selectCityid").html("北京");
	}

	//金额输入规则检测
	function inpmonCheckRule() {
		$(".inputclasscom").bind("keyup", function() {
			var value = getFilterNumber($(this).val());
			$(this).val(value);
			checkCalculat(); //检测是否使能“开始计算”
		});
	}
	//控制“开始计算”按钮是否可点击;enable:true可点击
	function collertCalButton(enable) {
		var obj = $("#startupbut").children("img");;
		if (enable) {
			obj.attr("src", "img/index/calbutn.png");
			obj.attr("tagid", "true");
		} else {
			obj.attr("src", "img/index/calbutc.png");
			obj.attr("tagid", "false");
		}
	}
	//获取当前处于哪个收入分类
	//0:工资、薪金所得;1:年终奖所得;2:劳务报酬所得
	function getInputSort() {
		return $("#gzlx").find("option:selected").attr("grade");
	}
	//获取当前选择的分类
	function getSelectCity() {
		return $("#selectCityid").html();
	}
	//检测是否使能“开始计算”
	function checkCalculat() {
		// alert("entercheck")
		// var cityInfor = getCityInfor();
		// alert(cityInfor)
		// if (cityInfor == null)
		// 	return;
		var type = getInputSort();
		
		switch (type) {
			case "0":
				$(".incla").css("border-bottom","1px solid #e5e5e5");
				var nav = sessionStorage.getItem("INDEX_NAV");
				if (nav == "0") {
					// if (isEmpty($("#inpmoney").val()) || $("#selectCityid").html() == "选择城市") {
					// 	collertCalButton(false);
					// } else {
					// 	collertCalButton(true);
					// }
					// $("#slbx").css("border-top", "1px solid #e5e5e5");
					if (!isEmpty($("#inpmoney").val()) && $("#selectCityid").html() != "选择城市" && !isNaN($("#inpmoney").val())) {
						collertCalButton(true);
					} else {
						collertCalButton(false);
					}
				} else {
					// alert(isNaN($("#sjsfid").val()))
					// $("#slbx").css("border-top","none");
					if (isNaN($("#sjsfid").val()) || isNaN($("#inpmoney").val()) || isEmpty($("#sjsfid").val()) || isEmpty($("#inpmoney").val()) || $("#selectCityid").html() == "选择城市") {
						collertCalButton(false);
					} else {
						collertCalButton(true);
					}
				}
				break;
			case "1":
				$(".incla").css("border-bottom", "1px solid #e5e5e5");
				var yfgz = $("#dygz").val();
				var wxyj = $("#wxyjid").val();
				var sqnzj = $("#inpsqnzj").val();
				var tagid = $("#dygzselid").find("option:selected").attr("grade");
				if ("0" == tagid) {
					if (isEmpty(sqnzj)) {
						collertCalButton(false);
					} else {
						collertCalButton(true);
					}
					// alert("0")
				} else if ("1" == tagid) {
					if (isEmpty(yfgz) || isEmpty(wxyj) || isEmpty(sqnzj)) {
						collertCalButton(false);
					} else {
						collertCalButton(true);
					}
					// alert("1")
				}
				break;
			case "2":
				$(".incla").css("border-bottom", "none");
				if (isEmpty($("#srjenumid").val()) || isNaN($("#srjenumid").val())) {
					// if ($("#srjenumid").val() < 800){
					// 	$("#xstsywt").children("span").html("劳务报酬个人所得税的起征点是800元");
					// 	$("#xstsywt").css("visibility", "visible");
					// }
					collertCalButton(false);
				} else {
					collertCalButton(true);
				}
				break;
		}
	}

	//根据nav 和 收入类型 修改相应提示
	function alterNotice() {
		var grade = getInputSort();
		var nav = sessionStorage.getItem("INDEX_NAV");
		if (nav == "0") {
			//修改描述
			switch (grade) {
				case "0":
					$("#sqsh").text("税前工资");
					break;
				case "1":
					$("#sqnzj").text("税前年终奖");
				case "2":
					$("#srjedescid").text("收入金额");
					break;
			}
		} else if (nav == "1") { //修改描述
			switch (grade) {
				case "0":
					$("#sqsh").text("税后收入");
					break;
				case "1":
					$("#sqnzj").text("税后年终奖");
					break;
				case "2":
					$("#srjedescid").text("税后收入");
					break;
			}
		}
		if(grade == 1 || grade == 2){
			$("#slbx").css("border-top","none");
		}else{
			if (nav == 0){
				$("#slbx").css("border-top", "1px solid #e5e5e5");
			}else if(nav == 1){
				$("#slbx").css("border-top", "none");
			}
			
		}
	}
	//当月工资select 选择事件
	function initChangeDangyue() {
		$("#dygzselid").change(function() {
			var tagid = $(this).find("option:selected").attr("grade");
			if ("0" == tagid) {
				$("#xsar").hide();
				$("#xstsywt").css("visibility", "hidden");
			} else if ("1" == tagid) {
				$("#xsar").show();
			}
			checkCalculat(); //检测处于“年终所得”状态时，是否使能“开始计算”
		});
	}
});