var IS_DEBUG = false;

window.addEventListener("load",function(){
	if(IS_DEBUG){
		if(isIOS())
			makePage(0, PAGE_CONFIG_IOS_ONLINE);
		else
			makePage(0, PAGE_CONFIG_ANDROID);
	}else{
		try{
			window.NativeBridge.getAppInfo(function(err,result){
				try{
					if(err.code != "0")
					{
						console.log("getAppInfo error");
						makePage();
					}
					else
					{
						AppEnv = result;
						var auditing =  false;

						if(AppEnv.appshenhe)
							auditing = AppEnv.appshenhe == "1" ? true : false;

						var servConfig = AppEnv.param.h5_menu_config;  //result.param安卓没有值的时候这里会传空

						console.log(servConfig);
						makePage(auditing, servConfig);
					}
				}
				catch(e)
				{
					makePage();
				}
			});
		}
		catch(e)
		{
			makePage();
		}
	}
	
	//设置根结点fontSize，根据屏幕宽度适配界面效果
	initDocFontSizeForRem();
});