var CONSTANT_PACK_SWITCH_PACK_HIDE = "false"; //packSwitch为false时，关闭部分入口，安卓专用，为空或为true表示不关闭
var CONSTANT_FUNCTION_SWITCH_PACK_HIDE = "false"; //functionSwitch为false时，永久关闭部分入口，安卓专用，为空或为true表示不关闭
var CONSTANT_DOWNLOAD_SWITCH_PACK_HIDE = "false"; //推广下载类，为false时，永久关闭部分入口，安卓专用，为空或为true表示不关闭
var CONSTANT_POLICY_SWITCH_PACK_HIDE = "false";   //政策资质类，为false时，永久关闭部分入口，安卓专用，为空或为true表示不关闭
var CONSTANT_WARN_SWITCH_PACK_HIDE = "false";     //违规风险类，为false时，临时关闭部分入口，安卓专用，为空或为true表示不关闭
var AppEnv = {};  //APP运行环境

//点击APP图标动作
function clickApp(id, name, url, recTime)
{
	var icoObj = document.getElementById("appIco_" + id);
	
	if(icoObj)
	{
		var img = icoObj.getAttribute("img");
		icoObj.style.backgroundImage = "url('" + img + "')";
	}
	
	var isLighted = false;
	var appObj = document.getElementById("app" + id);
	if(appObj)
	{
		if(appObj.getAttribute("lighted") == "1")
			isLighted = true;
	}
	
	//友盟统计
	if(isLighted)
		NativeBridge.addUMengClickStat("h5", id + "_light");
	else
		NativeBridge.addUMengClickStat("h5", id);
	
	if(recTime)
		eval("localStorage.LastClickTime_" + id + " = " + (new Date()).getTime());
	
	if(url)
	{
		if(url.indexOf("dbtExternWindow=true") < 0)
		{
			if(IS_DEBUG)
				window.open(url);
			else if(id.indexOf("_main") >= 0)  //首页打开方式
			{
				NativeBridge.openMainUrl(url);
			}
			else if(id == "jingpinshuba" || id == "fuyaohuanghou" || id == "yihaohongren" || id == "santiquanji" || id == "xiaoshuoyuedu")
			{
				//这几个点击后右上角要有御天传奇的入口
				NativeBridge.openUrlWithRIcon(url, "img/icon/yutianchuanqi_right.png", "http://gc.hgame.com/home/game/appid/101581/gameid/100350/sr/2", "", "3d5c99");
			}
			else if(id == "hanyuzidian")
			{
				if(isIOS())
					NativeBridge.openUrlChgNav(url, "汉语字典", "1B82D1");
				else
					NativeBridge.openUrlChgNav(url, "字典", "1B82D1");
			}
			else if(id == "chengyucidian" || id == "gouchejisuan")
			{
				NativeBridge.openUrlChgNav(url, name, "1B82D1");
			}
			else if(id == "cunkuanjisuan" || id == "fangdaijishuan")
			{
				NativeBridge.openUrlChgNav(url, name, "1B82D1");
			}
			else{
				NativeBridge.openUrlChgNav(url, name, "");
			}
		}
		else
		{
			window.open(url);
		}
	}
}

//判断是否需要亮起图标
function ifInLightTime(lightTime, lastClickDate){
	var curDate = new Date();
	var curDateStr = curDate.Format("yyyyMMdd");
	var curDateTimeStr = curDate.Format("yyyyMMddhhmmss");
	
	var times = lightTime.split("-");
	var beginTime = times[0].replace(/:/g, "");
	var endTime = times[1].replace(/:/g, "");
	if(beginTime > endTime)  //配置时间段，开始时间大于结束时间，说明跨天了
	{
		var tomorrow = new Date((curDate/1000+86400)*1000);
		var beginDateTime = parseInt(curDate.Format("yyyyMMdd") + beginTime);
		var endDateTime = parseInt(tomorrow.Format("yyyyMMdd") + endTime);
		if(curDateTimeStr > beginDateTime && curDateTimeStr < endDateTime)  //当前时间在配置时间段内
		{
			if(lastClickDate)  
			{
				var lastClickDateStr =  lastClickDate.Format("yyyyMMddhhmmss");
				if(lastClickDateStr > beginDateTime && lastClickDateStr < endDateTime)  //点击时间在配置时间内
					return false;
				else
					return true;
			}
			else
				return true;
		}
		else
			return false;
	}
	else
	{
		var beginDateTime = parseInt(curDateStr + beginTime);
		var endDateTime =  parseInt(curDateStr + endTime);
		if(curDateTimeStr > beginDateTime && curDateTimeStr < endDateTime)  //当前时间在配置时间段内
		{
			if(lastClickDate)
			{
				var lastClickDateStr =  lastClickDate.Format("yyyyMMddhhmmss");
				if(lastClickDateStr > beginDateTime && lastClickDateStr < endDateTime)  //点击时间在配置时间内
					return false;
				else
					return true;
			}
			else
				return true;
		}
		else
			return false;
	}
}

//true-需要亮起 false-不需要亮起
function ifNeedLight(id, lightTime){
	var lastClickTime = parseInt(eval("localStorage.LastClickTime_" + id));
	if(lastClickTime)  //已经点过了
	{
		var lastClickDate = new Date(lastClickTime);
		var lastDateStr = lastClickDate.Format("yyyyMMdd");
		var curDate = new Date();
		var curDateStr = curDate.Format("yyyyMMdd");
		
		if(lightTime)  //配置了点亮时间段的
		{
			return ifInLightTime(lightTime, lastClickDate);
		}
		else
		{
			if(lastDateStr == curDateStr)  //没有配置了点亮时间段，只要当天点过就不再亮
				return false;
			else
				return true;
		}
	}
	else  //没有点过
	{
		if(lightTime)
		{
			return ifInLightTime(lightTime);
		}
		else
			return true;
	}
}

//处理是否需要点亮图标
function checkLightTime(pageConfig){
	if(pageConfig)
	{
		var blocks;
		if(pageConfig instanceof Array)  //兼容旧版本配置，旧版本配置pageConfig是一个数组
			blocks = pageConfig;
		else
			blocks = pageConfig.blocks;
		
		for(var i = 0; i < blocks.length; i++){
			var config = blocks[i];
			for(var j = 0;j < config.data.length;j++ )
			{
				var app = config.data[j];
				if(app.lightImg)
				{
					var icoObj = document.getElementById("appIco_" + app.id);
					var appObj = document.getElementById("app_" + app.id);
					var url = app.url;
					if(ifNeedLight(app.id, app.lightTime))
					{
						if(app.lightUrl)
							url = app.lightUrl;
						if(app.extWin)
							url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
						appObj.setAttribute("onclick", "clickApp('" + app.id + "','" + app.name + "','" + url + "',1);");
						appObj.setAttribute("lighted", "1");
						icoObj.style.backgroundImage = "url(" + app.lightImg + ")";
					}
					else
					{
						if(app.extWin)
							url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
						appObj.setAttribute("onclick", "clickApp('" + app.id + "','" + app.name + "','" + url + "');");
						appObj.setAttribute("lighted", "0");
						icoObj.style.backgroundImage = "url(" + app.img + ")";
					}
				}
			}
		}
	}
}

Date.prototype.Format = function (fmt) { //author: meizz 
    var o = {
        "M+": this.getMonth() + 1, //月份 
        "d+": this.getDate(), //日 
        "h+": this.getHours(), //小时 
        "m+": this.getMinutes(), //分 
        "s+": this.getSeconds(), //秒 
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
        "S": this.getMilliseconds() //毫秒 
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
};

function PageBlock(){
}

PageBlock.prototype = {	
	setConfig:function(config){
		this.config = config;
	},
	genTitle:function(){
		if(this.config.title)
		{
			var titleContainer = document.createElement("div");
			titleContainer.setAttribute("class", "title-container " + this.config.style + "-title-container");
			if(this.config.title.line)
			{
				titleContainer.style.borderBottom = "1px solid rgb(240,240,240)";
			}
			
			var titleImg = document.createElement("div");
			titleImg.setAttribute("class", "title-img");
			titleImg.style.backgroundImage = "url(" + this.config.title.img + ")";
			titleContainer.appendChild(titleImg);
			
			var titleFont = document.createElement("div");
			titleContainer.appendChild(titleFont);
			titleFont.setAttribute("class", "title-font");
			titleFont.innerHTML = this.config.title.name;

			
			if(this.config.title.url)
			{
				var more = document.createElement("div");
				more.setAttribute("class", "more-ico");
				var moreUrl = this.config.title.url;
				if(this.config.title.moreDesc)
					more.innerHTML = this.config.title.moreDesc;
				titleContainer.onclick = function(){window.open(moreUrl);};
				titleContainer.appendChild(more);
			}
			return titleContainer;
		}
		return null;
	},
	genBlock:function(){
		var blockNode = document.createElement("div");
		blockNode.setAttribute("class", "page-block " + this.config.style);
		if(this.config.title)
			blockNode.appendChild(this.genTitle());
		if(this.config.data)
			blockNode.appendChild(this.genData());
		return blockNode;
	}
};

//图文
function PicText(){}

PicText.prototype = new PageBlock();

PicText.prototype.genApp = function(app,pos){
	var appLineCount = this.config.lineCount;
	var appNode = document.createElement("div");
	appNode.setAttribute("class", "pic-text-app");
	appNode.setAttribute("id", "app_" + app.id);
	appNode.style.width = (document.body.clientWidth * 0.95 - 1)/2 + "px";
	
	var needLight = app.lightImg ? ifNeedLight(app.id, app.lightTime) : false;
	var url = app.url;
	var recTime = 0;
	if(needLight && app.lightUrl)
	{
		url = app.lightUrl;
		recTime = 1;
	}
	else if(app.lightImg)
	{
		recTime = 1;
	}
	if(app.extWin)
	{
		url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
	}
	
	appNode.setAttribute("onclick", "clickApp('" + app.id + "','" + app.name + "','" + url + "'," + recTime + ");");
	
	var drawLine = (this.config.drawLine == undefined ? true : app.drawLine);
	if(drawLine)
	{
		if(pos >= appLineCount)
			appNode.style.borderTop = "1px solid #dedede";
		if(pos % 2 == 0)
			appNode.style.borderRight = "1px solid #dedede";
	}
	var icoNode = document.createElement("div");
	icoNode.setAttribute("class", "pic-text-app-ico");
	icoNode.setAttribute("id", "appIco_" + app.id);
	
	if(app.lightImg && needLight)
		icoNode.style.backgroundImage = "url('" + app.lightImg + "')";
	else
		icoNode.style.backgroundImage = "url('" + app.img + "')";
	
	icoNode.setAttribute("img", app.img);
	if(app.lightImg)
		icoNode.setAttribute("lightImg", app.lightImg);
	
	appNode.appendChild(icoNode);
	var textNode = document.createElement("div");
	textNode.setAttribute("class", "pic-text-app-text");
	appNode.appendChild(textNode);
	var nameNode = document.createElement("div");
	nameNode.setAttribute("class", "pic-text-app-name");
	nameNode.innerHTML = app.name;
	textNode.appendChild(nameNode);
	var descNode = document.createElement("div");
	descNode.setAttribute("class", "pic-text-app-desc");
	descNode.innerHTML = app.desc;
	textNode.appendChild(descNode);
	
	return appNode;
};

PicText.prototype.genData = function(){
	var dataNode = document.createElement("div");
	dataNode.setAttribute("class", "data-container " + this.config.style + "-data-container");
	dataNode.style.height = 1.575*Math.ceil(this.config.data.length/2) + "rem";
	for(var i = 0;i < this.config.data.length;i++ )
	{
		dataNode.appendChild(this.genApp(this.config.data[i], i));
	}
	return dataNode;
};

//先文后图
function TextPic(){}

TextPic.prototype = new PageBlock();

TextPic.prototype.genApp = function(app,pos){
	var appLineCount = this.config.lineCount;
	var appNode = document.createElement("div");
	appNode.setAttribute("class", "pic-text-app");
	appNode.setAttribute("id", "app_" + app.id);
	appNode.style.width = (document.body.clientWidth * 0.95 - 1)/2 + "px";
	
	var needLight = app.lightImg ? ifNeedLight(app.id, app.lightTime) : false;
	var url = app.url;
	var recTime = 0;
	if(needLight && app.lightUrl)
	{
		url = app.lightUrl;
		recTime = 1;
	}
	else if(app.lightImg)
	{
		recTime = 1;
	}
	if(app.extWin)
		url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
	
	appNode.setAttribute("onclick", "clickApp('" + app.id + "','" + app.name + "','" + url + "'," + recTime + ");");
	
	if(pos >= appLineCount)
		appNode.style.borderTop = "1px solid #dedede";
	if(pos % 2 == 0)
		appNode.style.borderRight = "1px solid #dedede";
	
	var textNode = document.createElement("div");
	textNode.setAttribute("class", "pic-text-app-text");
	appNode.appendChild(textNode);
	var nameNode = document.createElement("div");
	nameNode.setAttribute("class", "text-pic-app-name");
	nameNode.innerHTML = app.name;
	textNode.appendChild(nameNode);
	var descNode = document.createElement("div");
	descNode.setAttribute("class", "pic-text-app-desc");
	descNode.innerHTML = app.desc;
	textNode.appendChild(descNode);
	
	var icoNode = document.createElement("div");
	icoNode.setAttribute("class", "text-pic-app-ico");
	icoNode.setAttribute("id", "appIco_" + app.id);
	
	if(app.lightImg && needLight)
		icoNode.style.backgroundImage = "url('" + app.lightImg + "')";
	else
		icoNode.style.backgroundImage = "url('" + app.img + "')";
	
	icoNode.setAttribute("img", app.img);
	if(app.lightImg)
		icoNode.setAttribute("lightImg", app.lightImg);
	
	appNode.appendChild(icoNode);
	
	return appNode;
};

TextPic.prototype.genData = function(){
	var dataNode = document.createElement("div");
	dataNode.setAttribute("class", "data-container " + this.config.style + "-data-container");
	dataNode.style.height = 1.575*this.config.data.length/2 + "rem";
	for(var i = 0;i < this.config.data.length;i++ )
	{
		dataNode.appendChild(this.genApp(this.config.data[i], i));
	}
	return dataNode;
};

//简单模式
function Simple1(){}

Simple1.prototype = new PageBlock();

Simple1.prototype.genApp = function(app){
	var appLineCount = this.config.lineCount;
	var appNode = document.createElement("div");
	appNode.setAttribute("class", "app");
	appNode.setAttribute("id", "app_" + app.id);
	//var width = document.body.clientWidth/appLineCount;
	appNode.style.width = (1/appLineCount)*100 + "%";
	//appNode.style.height = width/1.5 + "px"; 
	appNode.style.border = "none";
	
	var needLight = app.lightImg ? ifNeedLight(app.id, app.lightTime) : false;
	
	var url = app.url;
	var recTime = 0;
	if(needLight && app.lightUrl)
	{
		url = app.lightUrl;
		recTime = 1;
	}
	else if(app.lightImg)
	{
		recTime = 1;
	}
	if(app.extWin)
		url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
	
	appNode.setAttribute("onclick", "clickApp('" + app.id + "','" + app.name + "','" + url + "'," + recTime + ");");
		
	var icoNode = document.createElement("div");
	icoNode.setAttribute("class", "app-ico");
	icoNode.setAttribute("id", "appIco_" + app.id);
	
	if(app.lightImg && needLight)
		icoNode.style.backgroundImage = "url('" + app.lightImg + "')";
	else
		icoNode.style.backgroundImage = "url('" + app.img + "')";
	
	icoNode.setAttribute("img", app.img);
	if(app.lightImg)
		icoNode.setAttribute("lightImg", app.lightImg);
	
	if(appLineCount == 3){
		icoNode.style.height = "0.99rem";
		icoNode.style.width = "0.99rem";
		icoNode.style.marginBottom = "0.045rem";
	}else{
		icoNode.style.height = "0.5625rem";
		icoNode.style.width = "0.5625rem";
	}

	//var widthRem = width/getInitFontSize();
	appNode.appendChild(icoNode);
	var nameNode = document.createElement("div");
	nameNode.setAttribute("class", "app-name");
	nameNode.style.fontSize = 1.0125/appLineCount + "rem";
	if(this.config.fontColor)
		nameNode.style.color = this.config.fontColor;
	nameNode.innerHTML = app.name;
	appNode.appendChild(nameNode);
	return appNode;
};

Simple1.prototype.genData = function(){
	var dataNode = document.createElement("div");
	dataNode.setAttribute("class", "data-container " + this.config.style + "-data-container");
	for(var i = 0;i < this.config.data.length;i++ )
	{
		dataNode.appendChild(this.genApp(this.config.data[i]));
	}
	console.log(this.config.data)
	return dataNode;
};

//简单模式2，图标下面还带按钮
function Simple2(){}

Simple2.prototype = new PageBlock();

Simple2.prototype.genApp = function(app){
	var appLineCount = this.config.lineCount;
	var appNode = document.createElement("div");
	appNode.setAttribute("class", "simple2-app");
	appNode.setAttribute("id", "app_" + app.id);
	//var width = document.body.clientWidth/appLineCount;
	appNode.style.width = (1/appLineCount)*100 + "%";
	//appNode.style.height = width/1.5 + "px"; 
	appNode.style.border = "none";

	var needLight = app.lightImg ? ifNeedLight(app.id, app.lightTime) : false;
	var url = app.url;
	var recTime = 0;
	if(needLight && app.lightUrl)
	{
		url = app.lightUrl;
		recTime = 1;
	}
	else if(app.lightImg)
	{
		recTime = 1;
	}
	if(app.extWin)
		url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
	
	appNode.setAttribute("onclick", "clickApp('" + app.id + "','" + app.name + "','" + url + "'," + recTime + ");");
	
	var icoNode = document.createElement("div");
	icoNode.setAttribute("class", "simple2-app-ico");
	icoNode.setAttribute("id", "appIco_" + app.id);
	
	if(app.lightImg && needLight)
		icoNode.style.backgroundImage = "url('" + app.lightImg + "')";
	else
		icoNode.style.backgroundImage = "url('" + app.img + "')";
	
	icoNode.setAttribute("img", app.img);
	if(app.lightImg)
		icoNode.setAttribute("lightImg", app.lightImg);
	
	appNode.appendChild(icoNode);
	var nameNode = document.createElement("div");
	nameNode.setAttribute("class", "simple2-app-name");
	nameNode.innerHTML = app.name;
	appNode.appendChild(nameNode);
	var playNode = document.createElement("div");
	playNode.setAttribute("class", "simple2-app-entry");
	playNode.style.backgroundImage = "url('" + app.entryImg + "')";
	appNode.appendChild(playNode);
	return appNode;
};

Simple2.prototype.genData = function(){
	var dataNode = document.createElement("div");
	dataNode.setAttribute("class", "data-container " + this.config.style + "-data-container");
	for(var i = 0;i < this.config.data.length;i++ )
	{
		dataNode.appendChild(this.genApp(this.config.data[i]));
	}
	return dataNode;
};
// 简单模式3，工具栏之间有外边框隔开，且标题字体更小
function Simple3(){}

Simple3.prototype = new PageBlock();

Simple3.prototype.genApp = function(app){
	var appLineCount = this.config.lineCount;
	var appNode = document.createElement("div");
	appNode.setAttribute("class", "app2");
	appNode.setAttribute("id", "app_" + app.id);
	//var width = document.body.clientWidth/appLineCount;
	appNode.style.width = (1/appLineCount)*100 + "%";
	//appNode.style.height = width/1.5 + "px"; 
	// appNode.style.border = "none";
	
	var needLight = app.lightImg ? ifNeedLight(app.id, app.lightTime) : false;
	
	var url = app.url;
	var recTime = 0;
	if(needLight && app.lightUrl)
	{
		url = app.lightUrl;
		recTime = 1;
	}
	else if(app.lightImg)
	{
		recTime = 1;
	}
	if(app.extWin)
		url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
	
	appNode.setAttribute("onclick", "clickApp('" + app.id + "','" + app.name + "','" + url + "'," + recTime + ");");
		
	var icoNode = document.createElement("div");
	icoNode.setAttribute("class", "app-ico");
	icoNode.setAttribute("id", "appIco_" + app.id);
	
	if(app.lightImg && needLight)
		icoNode.style.backgroundImage = "url('" + app.lightImg + "')";
	else
		icoNode.style.backgroundImage = "url('" + app.img + "')";
	
	icoNode.setAttribute("img", app.img);
	if(app.lightImg)
		icoNode.setAttribute("lightImg", app.lightImg);
	
	// if(appLineCount == 3){
		icoNode.style.height = "1.30rem";
		icoNode.style.width = "1.30rem";
		icoNode.style.marginBottom = "0.016rem";
	// }else{
	// 	icoNode.style.height = "0.5625rem";
	// 	icoNode.style.width = "0.5625rem";
	// }

	//var widthRem = width/getInitFontSize();
	appNode.appendChild(icoNode);
	var nameNode = document.createElement("div");
	nameNode.setAttribute("class", "app-name");
	nameNode.style.fontSize = "0.28rem";
	if(this.config.fontColor)
		nameNode.style.color = this.config.fontColor;
	nameNode.innerHTML = app.name;
	appNode.appendChild(nameNode);
	return appNode;
};

Simple3.prototype.genData = function(){
	var dataNode = document.createElement("div");
	dataNode.setAttribute("class", "data-container " + this.config.style + "-data-container");
	for(var i = 0;i < this.config.data.length;i++ )
	{
		dataNode.appendChild(this.genApp(this.config.data[i]));
	}
	console.log(this.config.data)
	return dataNode;
};
//简单模板模式，支持设置cssstyle
function TplSimple(){}

TplSimple.prototype = new PageBlock();

TplSimple.prototype.genApp = function(app){
	var appLineCount = this.config.lineCount;
	var appNode = document.createElement("div");
	appNode.setAttribute("class", "app");
	appNode.setAttribute("id", "app_" + app.id);
	appNode.style.width = (1/appLineCount)*100 + "%";
	appNode.style.border = "none";
	
	var needLight = app.lightImg ? ifNeedLight(app.id, app.lightTime) : false;
	
	var url = app.url;
	var recTime = 0;
	if(needLight && app.lightUrl)
	{
		url = app.lightUrl;
		recTime = 1;
	}
	else if(app.lightImg)
	{
		recTime = 1;
	}
	if(app.extWin)
		url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
	
	appNode.setAttribute("onclick", "clickApp('" + app.id + "','" + app.name + "','" + url + "'," + recTime + ");");
		
	var icoNode = document.createElement("div");
	icoNode.setAttribute("class", "app-ico");
	icoNode.setAttribute("id", "appIco_" + app.id);
	
	if(app.lightImg && needLight)
		icoNode.style.backgroundImage = "url('" + app.lightImg + "')";
	else
		icoNode.style.backgroundImage = "url('" + app.img + "')";
	
	icoNode.setAttribute("img", app.img);
	if(app.lightImg)
		icoNode.setAttribute("lightImg", app.lightImg);

	//var widthRem = width/getInitFontSize();
	appNode.appendChild(icoNode);
	var nameNode = document.createElement("div");
	nameNode.setAttribute("class", "app-name");

	if(this.config.fontColor)
		nameNode.style.color = this.config.fontColor;
	nameNode.innerHTML = app.name;
	appNode.appendChild(nameNode);
	return appNode;
};

TplSimple.prototype.genData = function(){
	var dataNode = document.createElement("div");
	dataNode.setAttribute("class", "data-container " + this.config.cssStyle + "-data-container");
	for(var i = 0;i < this.config.data.length;i++ )
	{
		dataNode.appendChild(this.genApp(this.config.data[i]));
	}
	return dataNode;
};

//图文按钮模式（万年历黄历测算）
function PicTextBtn(){}

PicTextBtn.prototype = new PageBlock();

PicTextBtn.prototype.genData = function(){
	var dataNode = document.createElement("div");
	if(this.config.cssStyle)
		dataNode.setAttribute("class", "data-container " + this.config.cssStyle + "-data-container");
	else
		dataNode.setAttribute("class", "data-container " + this.config.style + "-data-container");
	for(var i = 0;i < this.config.data.length;i++ )
	{
		dataNode.appendChild(this.genApp(this.config.data[i]));
	}
	return dataNode;
};

PicTextBtn.prototype.genApp = function(app){
	var appNode = document.createElement("div");
	appNode.setAttribute("class", "app");
	appNode.setAttribute("id", "app_" + app.id);
	var url = app.url;
	if(app.extWin)
		url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
	appNode.setAttribute("onclick", "clickApp('" + app.id + "','" + app.name + "','" + url + "');");
	
	var iconNode = document.createElement("div");
	iconNode.setAttribute("class", "icon");
	iconNode.style.backgroundImage = "url('" + app.img + "')";
	appNode.appendChild(iconNode);
	
	var rightNode = document.createElement("div");
	
	var descBox = document.createElement("div");
	descBox.setAttribute("class", "desc-box");
	var descTitle = document.createElement("div");
	descTitle.setAttribute("class", "desc-title");
	descTitle.innerHTML = app.name;
	var descDetail = document.createElement("div");
	descDetail.setAttribute("class", "desc-detail");
	descDetail.innerHTML = app.desc;
	descBox.appendChild(descTitle);
	descBox.appendChild(descDetail);
	rightNode.appendChild(descBox);
	rightNode.setAttribute("class", "right");
	
	var btnBox = document.createElement("div");
	btnBox.setAttribute("class", "btn-box");
	var btnNode = document.createElement("div");
	btnNode.setAttribute("class", "btn");
	btnNode.innerHTML = app.btnText;
	btnBox.appendChild(btnNode);
	rightNode.appendChild(btnBox);
	appNode.appendChild(rightNode);
	
	return appNode;
};

//swiper图片墙，非轮播
function SwiperGallery(){}

SwiperGallery.prototype = new PageBlock();

SwiperGallery.prototype.genData = function(){
	var container = document.createElement("div");
	container.setAttribute("class", "swiper-container");
	var wrapper = document.createElement("div");
	wrapper.setAttribute("class", "swiper-wrapper");
	for(var i = 0;i < this.config.data.length;i++ )
	{
		var slide = document.createElement("div");
		//slide.innerHTML = this.config.data[i].name;
		var url = this.config.data[i].url;
		var id = this.config.data[i].id;
		if(this.config.data[i].extWin)
			url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
		slide.setAttribute("onclick","clickApp('" + id +"', '" + this.config.data[i].name + "','" + url + "');");
		slide.setAttribute("class", "swiper-slide");
		slide.style.backgroundImage = "url(" + this.config.data[i].img + ")";
		wrapper.appendChild(slide);
	}
	container.appendChild(wrapper);
	return container;
};

//简单图片墙
function Gallery(){}

Gallery.prototype = new PageBlock();

Gallery.prototype.genApp = function(app){
	var appLineCount = this.config.lineCount;
	var appNode = document.createElement("div");
	appNode.setAttribute("class", "gallery");
	//var width = document.body.clientWidth/appLineCount;
	appNode.style.width = (1/appLineCount*100) + "%";
	appNode.style.border = "none";
	var url = app.url;
	if(app.extWin)
		url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
	appNode.setAttribute("onclick", "clickApp('" + app.id + "','" + app.name + "','" + url + "');");
	var picNode = document.createElement("div");
	picNode.setAttribute("class", "gallery-image");
	picNode.style.backgroundImage = "url('" + app.img + "')";
	appNode.appendChild(picNode);
	return appNode;
};

Gallery.prototype.genData = function(){
	var dataNode = document.createElement("div");
	dataNode.setAttribute("class", "gallery-container");
	for(var i = 0;i < this.config.data.length;i++ )
	{
		dataNode.appendChild(this.genApp(this.config.data[i]));
	}
	return dataNode;
};

//随机swiper轮播图
function RandomSwiperGallery(){}

RandomSwiperGallery.prototype = new PageBlock();

RandomSwiperGallery.prototype.genData = function(){
	var container = document.createElement("div");
	container.setAttribute("class", "swiper-container random-swiper-container");
	
	var wrapper = document.createElement("div");
	wrapper.setAttribute("class", "swiper-wrapper");
	var datas = this.config.data;
	
	//随机提取三个
	var randDatas =[];
	for(var i = 0; i < 3; i++ )
	{
		var randInt = Math.floor(Math.random() * (datas.length));
		randDatas.push(datas[randInt]);
		datas.splice(randInt, 1);
	}
	for(var i = 0;i < randDatas.length;i++ )
	{
		var slide = document.createElement("div");
		var url = randDatas[i].url;
		var id = randDatas[i].id;
		if(randDatas[i].extWin)
			url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
		slide.setAttribute("onclick","clickApp('" + id +"', '" + randDatas[i].name + "','" + url + "');");
		slide.setAttribute("class", "swiper-slide");
		slide.style.backgroundImage = "url(" + randDatas[i].img + ")";
		wrapper.appendChild(slide);
	}
	container.appendChild(wrapper);
	return container;
};
//随机swiper轮播图,轮播图按类别挨个提取
function RandomSwiperGallery2(){}

RandomSwiperGallery2.prototype = new PageBlock();

RandomSwiperGallery2.prototype.genData = function(){
	var container = document.createElement("div");
	container.setAttribute("class", "swiper-container random-swiper-container my_swiper");
	
	var wrapper = document.createElement("div");
	wrapper.setAttribute("class", "swiper-wrapper");
	var datas = this.config.data;
	
	//随机提取三个
	var randDatas =[];
	// for(var i = 0; i < 3; i++ )
	// {
	// 	var randInt = Math.floor(Math.random() * (datas.length));
	// 	randDatas.push(datas[randInt]);
	// 	datas.splice(randInt, 1);
	// }
	// 产生随机整数
	function createRandom(num,from,to){
	    var arr=[];
	    for(var i=from;i<=to;i++)
	        arr.push(i);
	    arr.sort(function(){
	        return 0.5-Math.random();
	    });
	    arr.length=num; 
	    return arr;
	}
		var a = createRandom(1,0,2)[0];
		var b = createRandom(1,3,5)[0];
		var c = createRandom(1,6,8)[0];
		randDatas.push(datas[a]);
		// datas.splice(a, 1);
		randDatas.push(datas[b]);
		// datas.splice(b, 1);
		randDatas.push(datas[c]);
		// datas.splice(c, 1);
		console.log(randDatas);
	for(var i = 0;i < randDatas.length;i++ )
	{
		var slide = document.createElement("div");
		var url = randDatas[i].url;
		var id = randDatas[i].id;
		if(randDatas[i].extWin)
			url = WebUtil.addRequestParam(url, "dbtExternWindow", "true");
		slide.setAttribute("onclick","clickApp('" + id +"', '" + randDatas[i].name + "','" + url + "');");
		slide.setAttribute("class", "swiper-slide my_bga");
		slide.style.backgroundImage = "url(" + randDatas[i].img + ")";
		wrapper.appendChild(slide);
	}
	container.appendChild(wrapper);
	return container;
};
function PageMaker(){}

PageMaker.prototype.makeDevider = function(){
	var devideNode = document.createElement("div");
	devideNode.setAttribute("class", "devider");
	return devideNode;
};

PageMaker.prototype.makeWhiteSpace = function(){
	var whiteNode = document.createElement("div");
	whiteNode.setAttribute("class", "white-space");
	return whiteNode;
};

PageMaker.prototype.makePage = function(pageConfig)
{
	if(pageConfig)
	{
		var blocks;
		if(pageConfig instanceof Array)  //兼容旧版本配置，旧版本配置pageConfig是一个数组
			blocks = pageConfig;
		else
			blocks = pageConfig.blocks;
		
		for(var i = 0; i < blocks.length; i++)
		{
			var config = blocks[i];
			
			if(config.style == "simple1")
			{
				var block = new Simple1();
				block.setConfig(config);
				document.body.appendChild(block.genBlock());
			}else if(config.style == "simple3")
			{
				var block = new Simple3();
				block.setConfig(config);
				document.body.appendChild(block.genBlock());
			}
			else if(config.style == "swiper-gallery")
			{
				var block = new SwiperGallery();
				block.setConfig(config);
				document.body.appendChild(block.genBlock());
			    new Swiper('.swiper-container', {
			        slidesPerView: 2.4,
			        spaceBetween: 10,
			        freeMode: true
			    });
			}
			else if(config.style == "random-swiper-gallery")
			{
				var block = new RandomSwiperGallery();
				block.setConfig(config);
				document.body.appendChild(block.genBlock());
			    new Swiper('.random-swiper-container', {autoplay: 5000,loop : true});
			}
			else if(config.style == "random-swiper-gallery2")
			{
				var block = new RandomSwiperGallery2();
				block.setConfig(config);
				document.body.appendChild(block.genBlock());
			    new Swiper('.random-swiper-container', {autoplay: 5000,loop : true});
			}
			else if(config.style == "gallery")
			{
				var block = new Gallery();
				block.setConfig(config);
				document.body.appendChild(block.genBlock());
			}
			else if(config.style == "simple2")
			{
				var block = new Simple2();
				block.setConfig(config);
				document.body.appendChild(block.genBlock());
			}
			else if(config.style == "TplSimple")
			{
				var block = new TplSimple();
				block.setConfig(config);
				document.body.appendChild(block.genBlock());
			}
			else if(config.style == "pic-text")
			{
				var block = new PicText();
				block.setConfig(config);
				document.body.appendChild(block.genBlock());
			}
			else if(config.style == "text-pic")
			{
				var block = new TextPic();
				block.setConfig(config);
				document.body.appendChild(block.genBlock());
			}
			else if(config.style == "pic-text-btn")
			{
				var block = new PicTextBtn();
				block.setConfig(config);
				document.body.appendChild(block.genBlock());
			}
			if(pageConfig.devider || pageConfig instanceof Array){  //旧版本配置pageConfig直接是一个数组
				if(i < blocks.length - 1)
					document.body.appendChild(this.makeDevider());
				else
					document.body.appendChild(this.makeWhiteSpace());
			}
		}
		setInterval(function(){
			checkLightTime(pageConfig);
			}, 5000);
	}
	return;
};

function makePage(auditing, servConfig)
{		
	var pageConfig = {};
	if(auditing)  //审核阶段读取本地审核配置
	{
		if(isIOS())
			pageConfig =  JSON.parse(PAGE_CONFIG_IOS_AUDIT);
		else
			pageConfig =  JSON.parse(PAGE_CONFIG_ANDROID);
	}
	else if(!servConfig)  //审核通过但服务端配置为空读取本地审核通过配置
	{
		if(isIOS())
			pageConfig =  JSON.parse(PAGE_CONFIG_IOS_ONLINE);
		else
			pageConfig =  JSON.parse(PAGE_CONFIG_ANDROID);
	}
	else	//非审核阶段读取服务端配置
	{
		try{
			pageConfig = JSON.parse(servConfig);
		}catch(e)
		{
			if(isIOS())
				pageConfig =  JSON.parse(PAGE_CONFIG_IOS_ONLINE);
			else
				pageConfig =  JSON.parse(PAGE_CONFIG_ANDROID);
		}
	}
	if(isAndroid())
		pageConfig = filterPageConfig(pageConfig);  //安卓需要做多一次过滤
	
	console.log(pageConfig);
	
	var maker = new PageMaker();
	maker.makePage(pageConfig);
}

function filterPageConfig(pageConfig){
	
	if(pageConfig instanceof Array)  //兼容旧版本配置，旧版本配置pageConfig是一个数组
		blocks = pageConfig;
	else
		blocks = pageConfig.blocks;
	
	if(blocks)
	{
		var i = 0;
		while(blocks[i])
		{
			//按版块处理，第一个版块和第二个版块如果有第二天才显示的子项，第一天整个版块都不显示
			if( blocks[i].warnSwitch && AppEnv.warnSwitch == CONSTANT_WARN_SWITCH_PACK_HIDE)
			{
				blocks.splice(i,1);
				continue;
			}
			
			//版块内处理
			var datas = blocks[i].data;
			var j = 0;
			while(datas[j])
			{
				//alert(datas[j].id);
				if(AppEnv.model && AppEnv.model.indexOf("OPPO") >= 0 && datas[j].id == "shipinzhibo")  //OPPO机型剔除视频直播
					datas.splice(j,1);
				else if(datas[j].packClose && AppEnv.packSwitch == CONSTANT_PACK_SWITCH_PACK_HIDE)  //打包参数删除指定节点
					datas.splice(j,1);
				else if(datas[j].functionClose && AppEnv.functionSwitch == CONSTANT_FUNCTION_SWITCH_PACK_HIDE)   //打包参数删除指定节点，兼容旧版客户端
					datas.splice(j,1);
				else if(datas[j].downloadSwitch && AppEnv.downloadSwitch == CONSTANT_DOWNLOAD_SWITCH_PACK_HIDE)  //打包参数删除指定节点，推广下载类
					datas.splice(j,1);
				else if(datas[j].policySwitch && AppEnv.policySwitch == CONSTANT_POLICY_SWITCH_PACK_HIDE)	//打包参数删除指定节点，政策风险类
					datas.splice(j,1);
				else if(datas[j].warnSwitch && AppEnv.warnSwitch == CONSTANT_WARN_SWITCH_PACK_HIDE)		//打包参数删除指定节点，违规风险类
					datas.splice(j,1);
				else
					j++;
			}
			blocks[i].data = datas;

			if(blocks[i].data.length > 0)
				i++;
			else
				blocks.splice(i,1);
		}
		
		if(pageConfig instanceof Array)  //兼容旧版本配置，旧版本配置pageConfig是一个数组
			pageConfig = blocks;
		else
			pageConfig.blocks = blocks;
	}
	return pageConfig;
};
