/** 用于存放跟网络交互相关的方法
 * 
 */

var WebUtil = {

	//动态加载js文件
	loadScript:function(url, callback,callerr) {
		var script = document.createElement("script");
		script.type = "text/javascript";
		if(typeof(callback) != "undefined"){
			if (script.readyState) {
				script.onreadystatechange = function () {
					if (script.readyState == "loaded" || script.readyState == "complete") {
						script.onreadystatechange = null;
						callback();
					}
				};
			} else {
				if(callback)
			    	script.onload = function () {
			    		callback();
			    	};
			    if(callerr)
			    	script.onerror = function () {
			    		callerr();
			      };
			}
		}
		script.src = url;
		document.getElementsByTagName( "head" )[0].appendChild(script); 
	},

	//根据当前URL参数名获取参数值
	getRequestParamValue:function(name)
	{
		var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
		var r = window.location.search.substr(1).match(reg);
		if(r!=null)
		{
			//console.log(unescape(r[2]));
			return  unescape(r[2]); 
		}
		 return null;
	},
	
	addRequestParam:function(url, key, value)
	{
		if(url.indexOf("?") < 0)
		{
			url += "?";
		}
		if(url.indexOf("?") == url.length - 1)
			url += (key + "=" + value);
		else
			url += ("&" + key + "=" + value);
		
		return url;
	}
};
