$(function() {
	firstInitial();

	initial_click();
	initial_rolL();
	initialBaseInsu();
	addChexboxClick();

	function addChexboxClick() {
		var obj = $("#shangbao_detail_table").children("div.item_cell_conf").children("input[type='checkbox']");
		for (var i = 0; i < obj.length; i++) {
			$(obj[i]).click(refreshDaigouche);
		}
	}

	function firstInitial() {
		initial_select1(); //第三者责任险
		refreshThridXianBaoFei(); //
		//车辆损失险
		refreshSunShiBaoFei();

		//全车盗抢险
		refreshQuanCheDaoBaoFei();

		initial_select2();
		//玻璃单独破碎险
		refreshBoLiBaoFei();

		//自然保险费
		refreshZiranBaoFei();

		//不计免赔特约费
		refreshTeyueBaoFei();

		//无过责任险
		refreshWuGuo();

		//车上人员责任险
		refreshCheshang();

		initial_shangbao_select3_show();
		//车身划痕险
		initialCheshen();
	}

	//基本税费
	function initialBaseInsu() {
		//购置税
		$("#baseinsu_gouzhi").text(getBuyInsu().toFixed(0));
		//交强险
		//家用6座以下950元/年，家用6座及以上1100元/年
		//座位的数量。0:六坐以下，1：六座及以上
		var seatType = sessionStorage.getItem("session_seat_type");
		seatType = parseInt(seatType);
		if (seatType == 0)
			$("#baseInsu_qiangxian").text("950");
		else if (seatType == 1)
			$("#baseInsu_qiangxian").text("1100");
		//车船使用费
		$("#baseInsu_chechuanuse").text($("#ranyousheng_l").val());
		refreshDaigouche();
	}

	//初始化车船费
	function initial_rolL() {
		var arr = new Array();
		for (var i = 0; i <= 6; i++)
			arr[i] = new Array();
		arr[0][0] = "1.0L(含)以下";
		arr[0][1] = "300";
		arr[1][0] = "1.0-1.6L(含)";
		arr[1][1] = "420";
		arr[2][0] = "1.6-2.0L(含)";
		arr[2][1] = "480";
		arr[3][0] = "2.0-2.5L(含)";
		arr[3][1] = "900";
		arr[4][0] = "2.5-3.0L(含)";
		arr[4][1] = "1920";
		arr[5][0] = "3.0-4.0L(含)";
		arr[5][1] = "3480";
		arr[6][0] = "4.0L以上";
		arr[6][1] = "5280";
		var obj = $("#ranyousheng_l");
		for (var i = 0; i < arr.length; i++) {
			if (i == 1)
				obj.append("<option selected = 'selected'value='" + arr[i][1] + "'>" + arr[i][0] + "</option>");
			else
				obj.append("<option value='" + arr[i][1] + "'>" + arr[i][0] + "</option>");
		}
	}

	//初始化点击事件
	function initial_click() {
		$("#base_tax_").click(baseTaxButton);
		$("#shangbaoxian").click(baseTaxButton);
		$("#huankuanzonge").click(baseTaxButton);

		$(".shangye_lab").click(shangyelab_envent); //商业保险中的lab事件
		$(".shangye_lab")[parseInt(sessionStorage.getItem("session_shangbao_lab"))].click();

		$(".huankuanzong_lab").click(huangkuanLab); //还款总额中的lab事件
		$(".huankuanzong_lab")[parseInt(sessionStorage.getItem("session_huankuansum_lab"))].click();

		$("#looktoAllPay_button").click(lookallButtonEvent); //查看全部

		//input propertychange
		$("#third_duty_select").bind('input propertychange', thirdduty_select); //第三者责任险select

		//玻璃破碎险
		$("#table_boli_sort").bind('input propertychange', refreshBoLiBaoFei);

		//商报车上人员责任险
		$("#shangbaotoubao").focus(renyuanFocus);
		$("#shangbaotoubao").blur(renyuanBlur);
		$("#shangbaotoubao").bind('input propertychange', renyuanChange);

		//车身划痕险 select
		$("#table_peifuedu").bind('input propertychange', refreshHuaHen);

		//基本税费中 车辆使用的select 
		$("#ranyousheng_l").bind('input propertychange', initialBaseInsu);

		//车船使用手动输入
		$("#baseInsu_chechuanuse").click(baseInsuFYCustom);

		//上牌费用 手动输入
		$("#shangpai_baseInsu").click(baseInsuFYCustom);

		imgWhatClickEvent();

		//		setContentConf("#base_tax_");
		//		setContentConf("#shangbaoxian");
		//		setContentConf("#huankuanzonge");

		//问号点击初始化
		$(".what_infor").click(function() {
			var num = $(this).attr("wnum");
			if (num) {
				window.open("explain.html#" + num);
			}
		});
	}
	//车船使用手动输入 弹窗
	function baseInsuFYCustom() {
		var obj = $(this);
		obj.unbind("click");
		var val = obj.text();
		var d = dialog({
			fixed: true,
			title: '请输入金额',
			content: '<input id="property-returnValue-demo" value=' + obj.text() + ' />',
			ok: function() {
				var value = $('#property-returnValue-demo').val();
				obj.click(baseInsuFYCustom);
				this.close(value);
				this.remove();
				refreshDaigouche();
			},
			cancel: function() {
				obj.text(val);
				this.remove();
				refreshDaigouche();
				obj.click(baseInsuFYCustom);
			}
		});
		var inObj = $('#property-returnValue-demo');
		inObj.attr("type", "number");
		inObj.bind('input propertychange', checkIn);

		function checkIn() {
			var obj = $(this);
			obj.val(obj.val().replace(/[^0-9]/g, ''));
			if (parseInt(obj.val()) > 99999) {
				obj.val(obj.val().substring(0, obj.val().length - 1))
			}
		}
		d.addEventListener('close', function() {
			if (isEmpty(this.returnValue))
				this.returnValue = "1";
			obj.text(this.returnValue);
		});
		d.show();
	}

	function renyuanFocus() {
		$(this).val("");
	}

	function renyuanBlur() {
		if (isEmpty($(this).val().trim()))
			$(this).val("1");
		refreshCheshang();
	}

	function renyuanChange() {
		var obj = $(this);
		obj.val(obj.val().replace(/[^0-9]/g, ''));
		if (parseInt(obj.val()) > 999) {
			obj.val(obj.val().substring(0, obj.val().length - 1))
		}
		refreshCheshang();

		refreshDaigouche();
	}

	//第三者责任险select
	function thirdduty_select() {
		initial_select1(selectAddComplet(this));
		var obj = $("#shangbao_peifujine");
		obj.text($(this).val());
		obj.siblings("span.flag-flag").text($(this).val());
		refreshDaigouche();
	}

	//查看全部
	function lookallButtonEvent() {

		var monthSum = parseInt(sessionStorage.getItem("session_qixianmonth"));
		//0:等额本息;1:等额本金
		var lab = sessionStorage.getItem("session_huankuansum_lab");
		//储存等额本息计算结果
		var benxiArray = [];
		//储存等额本金计算结果
		var benjinArray = [];

		for (var i = 0; i < monthSum; i++) {
			benxiArray.push(new Array());
			benjinArray.push(new Array());
		} {
			var perMonthMoney = getPerMonthPayBenxi();
			var loanSum = getLoanSumMoney();
			for (var month = 0; month < monthSum; month++) {
				benxiArray[month][0] = (month % 12) == 0 ? 1 : month % 12 + 1;
				benxiArray[month][1] = perMonthMoney.toFixed(1);
				var benjin = getBenJinBeiXi(month + 1);
				benxiArray[month][2] = benjin.toFixed(1);
				benxiArray[month][3] = (perMonthMoney - benjin).toFixed(1);
				loanSum = loanSum - benjin;
				var valueBuf = loanSum.toFixed(1);
				if (parseFloat(valueBuf) <= 0)
					valueBuf = "0.0";
				benxiArray[month][4] = valueBuf;
			}
			sessionStorage.setItem("session_result_benxi", benxiArray.toString());
		} {

			var benjin = getPerMonthRepayBenjin().toFixed(1);
			for (var month = 0; month < monthSum; month++) {
				benjinArray[month][0] = (month % 12) == 0 ? 1 : month % 12 + 1;
				//alert("1flag"+month);
				benjinArray[month][1] = getPerMonthPayBenjin(month + 1).toFixed(1);
				//alert("2flag"+arrResult[month][2]);
				benjinArray[month][2] = benjin;
				benjinArray[month][3] = getBenJinAnyMonthLiXi(month + 1).toFixed(1);
				//alert("4flag"+arrResult[month][4]);
				var valueBuf = getBenJinSurplusBenJin(month + 1).toFixed(1);
				if (parseFloat(valueBuf) <= 0)
					valueBuf = "0.0";
				benjinArray[month][4] = valueBuf;
				//alert("5flag"+arrResult[month][5]);
			}
			sessionStorage.setItem("session_result_benjin", benjinArray.toString());
		}
		$(this).attr("href", "pay_details.html");
	}


	function huangkuanLab() {
		var obj = $(this);
		$(".huankuanzong_lab").css("background-color", "white");
		$(".huankuanzong_lab").css("color", "#3D5C99");
		obj.css("background-color", "#3D5C99");
		obj.css("color", "white");

		var lab = obj.attr("tagid");
		switch (lab) {
			case "0":
				huangkuanLab0();
				break;
			case "1":
				huangkuanLab1();
				break;
		}
	}

	function huangkuanLab0() {
		$("#table_denge_desc").text("等额本息：每月还款额固定。其中本金部分逐月递增，利息部分逐月递减。");
		sessionStorage.setItem("session_huankuansum_lab", "0");
		changeHuanKuanLab();
		$("#show_meiyue").text("每月还款(元)");
	}

	function huangkuanLab1() {
		$("#table_denge_desc").text("等额本金：每月还款额递减，其中本金部分固定、利息部分逐月递减。");
		sessionStorage.setItem("session_huankuansum_lab", "1");
		changeHuanKuanLab();
		$("#show_meiyue").text("首月还款(元)");
	}
	//商业保险标题点击事件
	function shangyelab_envent() {
		$(".shangye_lab").css("background-color", "white");
		$(".shangye_lab").css("color", "#326699");

		var obj = $(this);
		obj.css("color", "white");
		obj.css("background-color", "#3D5C99");

		var lab = obj.attr("tagid");
		switch (lab) {
			case "0":
				shangyeLab0();
				break;
			case "1":
				shangyeLab1();
				break;
			case "2":
				shangyeLab2();
				break;
		}
	}

	function shangyeLab0() {
		sessionStorage.setItem("session_shangbao_lab", 0 + "");
		InitShangbaoDefaultCheckbox();
		refreshDaigouche();
	}

	function shangyeLab1() {
		sessionStorage.setItem("session_shangbao_lab", 1 + "");
		InitShangbaoDefaultCheckbox();
		refreshDaigouche();
	}

	function shangyeLab2() {
		sessionStorage.setItem("session_shangbao_lab", 2 + "");
		InitShangbaoDefaultCheckbox();
		refreshDaigouche();
	}

	//基本税费点击事件
	function baseTaxButton() {
		setTitleConf(this);
		setContentConf(this);
		sessionStorage.setItem("button_below_hemlt_height", document.body.scrollHeight + "px");
	}

	//item 显示内容布局自适应
	function setContentConf(ob) {
		var parent = $(ob).parent();
		var objDiv_ = $(parent).siblings("div").children("div.item_cell_conf");
		setContentConf_Part(objDiv_);
	}

	//item 头设置
	function setTitleConf(ob) {
		var obj = $(ob);
		var parent = obj.parent(); //"#base_tax_div1"
		if (contains(obj.attr("src"), "down")) //处于关闭详情
		{
			$(parent).css("background-color", "#3D5C99"); //
			$(parent).siblings("div").css("display", "block");
			table_cell_conf(parent, "bold", "white");
			obj.attr("src", "../img/button_below/up_button.png");
			if (isEmpty(obj.attr("fal"))) {
				var titleObj = $(parent).children("span.table_item_notice");
				titleObj.css("background-image", "url('../img/what_.png')");
			}
		} else {
			$(parent).css("background-color", "white");
			$(parent).siblings("div").css("display", "none"); //"#base_tax_div2"
			table_cell_conf(parent, "normal", "#3D5C99");
			obj.attr("src", "../img/button_below/down_button.png");
			$($(parent).children("span.table_unit_color")).css("color", "#888888");
			var titleObj = $(parent).children("span.table_item_notice");
			titleObj.css("color", "#55626B");
			if (isEmpty(obj.attr("fal"))) {
				titleObj.css("background-image", "url('../img/what2.png')");
			}
		}
		refreshManHtmlHight();
	}

	function table_cell_conf(obj, fontweight, color) {
		var chilEle = $(obj).children("span");
		for (var i = 0; i < chilEle.length; i++) {
			if (i == 0)
				$(chilEle[i]).css("font-weight", fontweight);
			$(chilEle[i]).css("color", color);
		}
	}

	//初始化商业保险中，车辆损失险
	function initial_select1() {
		var json_ = localStorage.getItem("liaIns");
		json_ = JSON.parse(json_);
		var flag = json_.row[parseInt(sessionStorage.getItem("session_seat_type"))][0];

		var obj = json_.row;
		for (var i = 0; i < obj.length; i++) {
			if (obj[i][0] == flag) {
				flag = i;
				break;
			}
		}

		var item_content = json_.row[flag];
		
		var sel = parseInt(json_.cell.selected);
		if(arguments.length!=0)
			sel = parseInt(arguments[0]);
		var seleObj = $("#third_duty_select");
		var cell_Money = json_.cell.item;
		for (var i = 0; i < cell_Money.length; i++) {
			if (i == sel)
				seleObj.append("<option selected = 'selected'value='" + item_content[i + 1] + "'>" + cell_Money[i].substring(4, cell_Money[i].length) + "</option>");
			else
				seleObj.append("<option value='" + item_content[i + 1] + "'>" + cell_Money[i] + "</option>");
		}
	}

	//初始化商业保险中，玻璃单独险
	function initial_select2() {
		var json_ = localStorage.getItem("SHANGBAO_GLASS");
		json_ = JSON.parse(json_);

		var obj = $("#table_boli_sort");
		var objBuf = json_.cell;
		var sel = parseInt(objBuf.selected);
		var row = json_.row[parseInt(sessionStorage.getItem("session_seat_type"))];
		for (var i = 0; i < objBuf.item.length; i++) {
			if (i == sel)
				obj.append("<option selected = 'selected'value='" + row[i + 1] + "'>" + objBuf.item[i] + "</option>");
			else
				obj.append("<option value='" + row[i + 1] + "'>" + objBuf.item[i] + "</option>");
		}
	}
	var mapObj = {};

	function setContentConf_Part(objDiv_) {
		if (isEmpty(mapObj[objDiv_])) {
			mapObj[objDiv_] = $(objDiv_[0]).css("margin-left");
		}
		for (var i = 0; i < objDiv_.length; i++) {
			var obj = $(objDiv_[i]);
			obj.css("margin-left", mapObj[objDiv_]);
			var count = getLength(obj, "width");
			var length = count - getLength(obj, "padding-left") - getLength(obj, "border-left") - getLength(obj, "border-right") - getLength(obj, "margin-left") - getLength(obj, "margin-right") - getLength(obj, "padding-left") - getLength(obj, "padding-right") - getLength($(obj.children("span")), "width") - getLength($(obj.children("span")), "border-left") - getLength($(obj.children("span")), "border-right") - getLength($(obj.children("span")), "margin-left") - getLength($(obj.children("span")), "margin-right") - getLength($(obj.children("span")), "padding-left") - getLength($(obj.children("span")), "padding-right") - getLength($(obj.children("img")), "width") - getLength($(obj.children("img")), "border-left") - getLength($(obj.children("img")), "border-right") - getLength($(obj.children("img")), "margin-left") - getLength($(obj.children("img")), "margin-right") - getLength($(obj.children("img")), "padding-left") - getLength($(obj.children("img")), "padding-right") - getLength($(obj.children("div")), "margin-left") - getLength($(obj.children("div")), "margin-right") - getLength($(obj.children("div")), "border-left") - getLength($(obj.children("div")), "border-right") - getLength($(obj.children("input")), "width") * (getLength($(obj.children("input")), "zoom")) - getLength($(obj.children("input")), "margin-right") * (getLength($(obj.children("input")), "zoom")) - getLength($(obj.children("input")), "margin-left") * (getLength($(obj.children("input")), "zoom")) - getLength($(obj.children("input")), "border-left") * (getLength($(obj.children("input")), "zoom")) - getLength($(obj.children("input")), "border-right") * (getLength($(obj.children("input")), "zoom")) - getLength($(obj.children("input")), "padding-left") * (getLength($(obj.children("input")), "zoom")) - getLength($(obj.children("input")), "padding-right") * (getLength($(obj.children("input")), "zoom"));
			//================================================
			$(obj.children("div")).css("width", length + "px");
			obj.css("margin-left", "0");
		}
	}
});

//初始化商业保险默认勾选
function InitShangbaoDefaultCheckbox() {
	var lab = sessionStorage.getItem("session_shangbao_lab");
	var conf = localStorage.getItem("SHANGBAO_CHECKBOX");
	conf = JSON.parse(conf);
	var arr;
	switch (lab) {
		case "0":
			arr = conf.baseInsu;
			break;
		case "1":
			arr = conf.cheapInsu;
			break;
		case "2":
			arr = conf.allInsu;
			break;
	}
	var obj = $("#shangbao_detail_table").children("div.item_cell_conf").children("input[type='checkbox']");

	for (var i = 0; i < arr.length; i++) {
		if (arr[i] == 1)
			$(obj[i]).prop("checked", true);
		else
			$(obj[i]).prop("checked", false);
	}
}


//问号点击消息显示 start
function imgWhatClickEvent() {
	$("#gouzhi-base-insu").click(gouzhi);
	$("#jiaoqianxian-base-insu").click(qiangxian);
	$("#chechuan-base-insu").click(chechuan);
	$("#shangpai-base-insu").click(shangpai);
	$("#dishanze-base-insu").click(dishanze);
	$("#cheliangsun-base-insu").click(cheliangsun);
	$("#quandaoxian-base-insu").click(quandaoxian);
	$("#boli-base-insu").click(boli);
	$("#ziran-base-insu").click(ziran);
	$("#buji-base-insu").click(buji);
	$("#wuguo-base-insu").click(wuguo);
	$("#cheshang-base-insu").click(cheshang);
	$("#huanhen-base-insu").click(huanhen);

	function gouzhi() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).gouzhi;
		dialogPart(jso[0], jso[1], this);
	}

	function qiangxian() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).qiangxian;
		dialogPart(jso[0], jso[1], this);
	}

	function chechuan() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).chechuanshiyong;
		dialogPart(jso[0], jso[1], this);
	}

	function shangpai() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).shangpaifenyong;
		dialogPart(jso[0], jso[1], this);
	}

	function dishanze() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).disanzhezeren;
		dialogPart(jso[0], jso[1], this);
	}

	function cheliangsun() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).cheliangsunshi;
		dialogPart(jso[0], jso[1], this);
	}

	function quandaoxian() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).quanchedaoqiang;
		dialogPart(jso[0], jso[1], this);
	}

	function boli() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).boliposui;
		dialogPart(jso[0], jso[1], this);
	}

	function ziran() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).ziranxian;
		dialogPart(jso[0], jso[1], this);
	}

	function buji() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).bujixian;
		dialogPart(jso[0], jso[1], this);
	}

	function wuguo() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).wuguoshixian;
		dialogPart(jso[0], jso[1], this);
	}

	function cheshang() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).chegnshangrenyuanxian;
		dialogPart(jso[0], jso[1], this);
	}

	function huanhen() {
		var jso = JSON.parse(localStorage.getItem("MARK_DESC")).cheshenhuahen;
		dialogPart(jso[0], jso[1], this);
	}
}

var arrDialog = [];

function dialogPart(title, message, obj) {
	for (var k in arrDialog) {
		arrDialog[k].remove();
		delete arrDialog[k];
	}
	if (isEmpty(arrDialog[obj])) {
		var d = dialog({
			title: title,
			content: message,
			cancel: false,
			ok: function() {
				this.remove();
			}
		});
		arrDialog[obj] = d;
	}
	arrDialog[obj].show(document.getElementById($(obj).attr("id")));
}
//问号点击消息显示 end


//=============保费计算start================
//刷新第三者责任险 保费
function refreshThridXianBaoFei() {
	var obj = $("#shangbao_peifujine");
	obj.text(getDutyInsu());
	obj.siblings("span.flag-flag").text(getDutyInsu());
}
//刷新车辆损失险 保费
function refreshSunShiBaoFei() {
	var obj = $("#shangbao_cheliangsunshi");
	obj.text(getSunShi().toFixed(0));
	obj.siblings("span.flag-flag").text(getSunShi());
}
//全车盗抢险
function refreshQuanCheDaoBaoFei() {
	var seatType = parseInt(sessionStorage.getItem("session_seat_type"));
	var json_ = localStorage.getItem("SHANGBAO_DAOQIANXIAN");
	json_ = JSON.parse(json_);
	var price = sessionStorage.getItem("session_luoche_zongjia");
	price = parseFloat(price);

	//计算公式：保费=固定保费+裸车价格×费率
	var result = parseFloat(json_.row[seatType].fixed) + price * parseFloat(json_.row[seatType].rate) / 100;

	var obj = $("#quanchedao_shangdai");
	obj.text(result.toFixed(0));
	obj.siblings("span.flag-flag").text(result);
}
//玻璃单独破碎险
function refreshBoLiBaoFei() {

	var feilv = parseFloat($("#table_boli_sort").val()) / 100;
	var price = sessionStorage.getItem("session_luoche_zongjia");
	price = parseFloat(price);
	//保费=裸车价格×费率
	var result = price * feilv;

	var obj = $("#shangbao_glass_");
	obj.text(result.toFixed(0));
	obj.siblings("span.flag-flag").text(result);
	refreshDaigouche();
}
//自然损失费
function refreshZiranBaoFei() {
	//保费=裸车价格×0.15%
	var price = sessionStorage.getItem("session_luoche_zongjia");
	price = parseFloat(price) * 0.15 / 100;


	var obj = $("#shangbaoziransunshi");
	obj.text(price.toFixed(0));
	obj.siblings("span.flag-flag").text(price);
}
//不计免赔特约费
function refreshTeyueBaoFei() {
	//保费=（第三者责任险保费+车辆损失险保费）×20%
	var result = (getDutyInsu() + getSunShi()) * 0.2;
	var obj = $("#shangbao_teyue");
	obj.text(result.toFixed(0));
	obj.siblings("span.flag-flag").text(result);
}
//无过责任险
function refreshWuGuo() {
	//保费=第三者责任险保险费×20%
	var result = getDutyInsu() * 0.2;

	var obj = $("#shangbaowuguo");
	obj.text(result.toFixed(0));
	obj.siblings("span.flag-flag").text(result);
}
//车上人员责任险
function refreshCheshang() {
	//保费=投保人数×50
	var people = $("#shangbaotoubao").val();
	if (isEmpty(people))
		people = "0";
	people = parseInt(people);
	var price = people * 50;


	var obj = $("#toubaofeiyong");
	obj.text(price.toFixed(0));
	obj.siblings("span.flag-flag").text(price);
}
//车身划痕险
function refreshHuaHen() {
	var index = selectAddComplet(this);
	initial_shangbao_select3_show(index);
	initialCheshen();
}

//商业保险 车身划痕险 可见部分
	function initial_shangbao_select3_show() {
		var localObj = localStorage.getItem("CHE_HUA_HEN");
		localObj = JSON.parse(localObj);

		var obj = $("#table_peifuedu");
		var jsonObj = localObj.item;
		var sel = parseInt(localObj.selected);
		if(arguments.length!=0)
			sel = parseInt(arguments[0]);
		var price = sessionStorage.getItem("session_luoche_zongjia");
		for (var i = 0; i < jsonObj.length; i++) {
			var v = 0;
			for (; v < jsonObj[i].content.length; v++) {
				var str = jsonObj[i].content[v].interval.replace(/x/g, price);
				var script = "(function(){if(" + str + ")return true;else return false;})()";
				if (eval(script))
					break;
			}
			if (i == sel)
				obj.append("<option value='" + jsonObj[i].content[v].obatin + "' selected = 'selected'>" + jsonObj[i].pay.substring(4, jsonObj[i].pay.length) + "</option>");
			else
				obj.append("<option value='" + jsonObj[i].content[v].obatin + "'>" + jsonObj[i].pay + "</option>");
		}
	}

//车身划痕险 初始化
function initialCheshen() {
	var obj = $("#shangbao_huahen");
	obj.text($("#table_peifuedu").val());
	obj.siblings("span.flag-flag").text($("#table_peifuedu").val());
	refreshDaigouche();
}

//商业保险part

//获取第三者责任险
function getDutyInsu() {
	return parseFloat($("#third_duty_select").val().trim());
}
//获取车辆损失险
function getSunShi() {
	var seatType = parseInt(sessionStorage.getItem("session_seat_type"));
	var json_ = localStorage.getItem("SHANGBAO_CHESUN");
	json_ = JSON.parse(json_);
	var price = sessionStorage.getItem("session_luoche_zongjia");
	price = parseFloat(price);

	//计算公式：保费=固定保费+裸车价格×费率
	return parseFloat(json_.row[seatType].fixed) + price * parseFloat(json_.row[seatType].rate) / 100;
}
//获取购置税
function getBuyInsu() {
	//		2018年1月1月前执行下面公式：
	//1.6升及以下排量，购置税=裸车价格×7.5%/1.17；
	//1.6升以上排量，购置税=裸车价格×10%/1.17；

	//2018年1月1月后执行下面公式：
	//购置税=裸车价格×10%/1.17；
	var price = sessionStorage.getItem("session_luoche_zongjia");
	price = parseFloat(price);
	var myDate = new Date();
	//获取当前年
	var year = myDate.getFullYear();
	if (year >= 2018)
		price = price * 0.1 / 1.17;
	else {
		var index = $("#ranyousheng_l  option:selected").index();
		if (index <= 1)
			price = price * 0.075 / 1.17;
		else
			price = price * 0.1 / 1.17;
	}
	return price;
}

//===============end======================