// 设置根目录的字体大小
(function (doc, win, undefined) {
var docEl = doc.documentElement,
resizeEvt = 'orientationchange' in win? 'orientationchange' : 'resize',
recalc = function () {
var clientWidth = docEl.clientWidth;
if (clientWidth === undefined) return;
docEl.style.fontSize = 20 * (clientWidth / 320) + 'px';
};
if (doc.addEventListener === undefined) return;
win.addEventListener(resizeEvt, recalc, false);
doc.addEventListener('DOMContentLoaded', recalc, false)
})(document, window)
var ScrollFix = function (elem) {
  // Variables to track inputs
  var startY, startTopScroll;

  elem = elem || document.querySelector(elem);

  // If there is no element, then do nothing	
  if (!elem)
    return;

  // Handle the start of interactions
  elem.addEventListener('touchstart', function (event) {
    startY = event.touches[0].pageY;
    startTopScroll = elem.scrollTop;

    if (startTopScroll <= 0)
      elem.scrollTop = 1;

    if (startTopScroll + elem.offsetHeight >= elem.scrollHeight)
      elem.scrollTop = elem.scrollHeight - elem.offsetHeight - 1;
  }, false);
};
$(function(){
  var flag=true;
  // $("input").on("change",function(){//当输入框数据有改动的时候重新开启请求
  //   flag=true;
  // });

  $("input").on("focus",function(){
    flag=true;
    // console.log(this);
      if($("input").hasClass("red")){
          console.log(11);
          $("input").val("");
          $("input").removeClass("red");
        } 
    })
  $("#submit").on("click",function(){
    if(flag){
       $("#lilist").html("");
        var datas=$("input").val();
         // js要加的内容
        // console.log(datas)
        if (datas != "" && datas != undefined){
            $(".shade").show();
            $.ajax({
              type:'POST',
              // url后面填的是请求的地址
              url:'http://other.gzfingertip.cn/MultToolsServer/query/idiom.do',
              timeout : 8000,
              contentType: 'application/x-www-form-urlencoded; charset=UTF-8', 
              data:'words='+encodeURIComponent(datas)+'&dever=2',
              dataType:'JSON',
              success:function(dat){
                if (dat.statue=="true") {
                  var json=dat.result;  
                  if (json.hasOwnProperty("reason")) {
                    if ("success"==json.reason) {             
                      //数据请求成功: 成语,拼音,解释,出处,例句,语法,同义词,反义词
                       var dj=json.result;//返回数据
                       var str='';//传递容器
                       var key='';
                      function search(keyword, content) {
                        //生成用于匹配关键字的正则表达式
                        var pattern = new RegExp(keyword, 'g');
                        console.log(typeof content);
                        content = content.replace(pattern, '<b style="color:#329403">' + keyword + '</b>');
                        // console.log(content);
                      }
                       str+="<li><div>"+"成语"+"</div><p>"+datas+"</p></li>"
                       for (var k in dj) {
                          switch(k){
                            case "pinyin": 
                              key="拼音";
                              str+="<li><div>"+key+"</div><p class='pin'> ["+dj[k]+"] </p></li>"
                            break;
                            case "chengyujs": 
                              key="成语解释"; 
                              search(datas, dj[k]);                        
                              str+="<li><div>"+key+"</div><p>"+dj[k]+"</p></li>"
                            break;
                            case "from_":                          
                              key="出处";
                              var index=dj[k].indexOf(datas);
                              
                              if(index!=-1){
                                var last=index+datas.length;
                                dj[k]=dj[k].substring(0,index)+"<span style='color:#329401'>"+datas+"</span>"+dj[k].substring(last,dj[k].lenght);
                                search(datas, dj[k]);
                              }
                              str+="<li><div>"+key+"</div><p>"+dj[k]+"</p></li>"
                            break;
                            case "example":                          
                              key="例句";
                              var index2=dj[k].indexOf("～");
                              if(index2!=-1){
                                var last2=index2+datas.length;
                                dj[k]=dj[k].substring(0,index2)+"<span style='color:#329401'> ～ </span>"+dj[k].substring(last2,dj[k].lenght);
                              }
                              search(datas, dj[k]);
                              str+="<li><div>"+key+"</div><p>"+dj[k]+"</p></li>"
                            break;
                            case "yufa":                          
                              key="语法";
                              // search(datas, dj[k]);
                              str+="<li><div>"+key+"</div><p>"+dj[k]+"</p></li>"
                            break;
                            case "tongyi":                          
                              key="同义词";
                              // search(datas, dj[k]);
                              str+="<li><div>"+key+"</div><p>"+dj[k]+"</p></li>"
                            break;
                            case "fanyi":                          
                              key="反义词";
                              // search(datas, dj[k]);
                              str+="<li><div>"+key+"</div><p>"+dj[k]+"</p></li>"
                            break;
                          }
                       }
                       $("#lilist").html(str);
                    }else{
                        $("#inputly").val("您输入的内容暂未收录").addClass("red");
                        $("#lilist").html("");
                    }
                  }else{
                        $("#inputly").val("您输入的内容暂未收录").addClass("red");
                        $("#lilist").html("");
                  }
                }
               $("#error_msg").css({"color":"red","height":"0","line-height":"0"}).html("");//清除数据
                // js要加的内容
                $(".shade").hide();
              },
              error:function(XMLHttpRequest,textStatus){
                  if(textStatus == 'timeout'){
               flag=true;
                     $("#error_msg").css({"color":"red","height":"1.33rem","line-height":"1.33rem"}).html("请求超时,请稍后重试....");  
            }
            if(textStatus == 'error'){
             flag=true;
                     $("#error_msg").css({"color":"red","height":"1.33rem","line-height":"1.33rem"}).html("请求失败,请稍后重试....");
            }
          // js要加的内容
                $(".shade").hide();
               $("#lilist").html("");
              }
          })
        }else{
          // $("#inputly").attr("placeholder","请输入成语").css("color","red");
          $("#inputly").val("请输入成语").addClass("red");
          flag=false;
        }
        
    }
     // flag=false;
  })
})