$(function() {
	$("body").css("background-color","#fbfbfb");
	var type = getUrlParam("type");
	var nav = sessionStorage.getItem("INDEX_NAV");
	var result;
	if (nav == "0") //正推
	{
		switch (type) {
			case "0": //工资薪金所得
				break;
			case "1": //年终奖所得
				var tagid = getUrlParam("tagid");
				if ("1" == tagid) { //未产生个税
					result = getNianZhongShuiHou(getUrlParam("dygz"),
						getUrlParam("wxyjid"),
						getUrlParam("inpsqnzj"));
				} else if ("0" == tagid) //已产生个税
				{
					result = getYcsg(getUrlParam("inpsqnzj"));
				}
				break;
			case "2": //劳务报酬
				result = getLaowusuod(getUrlParam("srjenumid"));
				break;
		}
	} else { //反推
		switch (type) {
			case "0": //工资薪金所得
				break;
			case "1": //年终奖所得
				var tagid = getUrlParam("tagid");
				if ("1" == tagid) { //未产生个税
					result = fantuiwgs(getUrlParam("dygz"),
						getUrlParam("wxyjid"),
						getUrlParam("inpsqnzj"));
				} else if ("0" == tagid) //已产生个税
				{
					result = fantuiygscs(getUrlParam("inpsqnzj"));
				}
				break;
			case "2": //劳务报酬
				result = fantuiloawu(getUrlParam("srjenumid"));
				break;
		}
	}

	$("#repeatbut").click(function() {
		history.go(-1); //返回上一页，且保持上一页数据都在
	});
	setNumber();
	$('#container').highcharts({
		chart: {
			plotBackgroundColor: '#FBFBFB',
			plotBorderWidth: null,
			plotShadow: false,
			spacing: [0, 0, 0, 0]
		},
		title: {
			floating: true,
			useHTML: true,
			text: "<div style='text-align:center;font-size:0.5rem;'>" + parseFloat(result.shuiqian).toFixed(2) + "元</div><div style='font-size:0.6rem;text-align:center;color:#3D5C99'>税前工资</div>"
		},
		tooltip: {
			pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
		},
		plotOptions: {
			pie: {
				allowPointSelect: true,
				cursor: 'pointer',
				dataLabels: {
					enabled: true,
					//format: '<b>{point.name}</b>: {point.percentage:.1f} %',
					format: '<b>{point.name}</b>',
					style: {
						color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'
					}
				},
				point: {
					events: {
						mouseOver: function(e) { // 鼠标滑过时动态更新标题
								// 标题更新函数，API 地址：https://api.hcharts.cn/highcharts#Chart.setTitle
								chart.setTitle({
									text: "<div style='text-align:center;font-size:0.6rem;'>" + solveNan(parseFloat(result.shuiqian).toFixed(2)) + "元</div><div style='font-size:0.6rem;text-align:center;color:#1B82D2'>税前工资</div>"
								});
							}
							//, 
							// click: function(e) { // 同样的可以在点击事件里处理
							//     chart.setTitle({
							//         text: e.point.name+ '\t'+ e.point.y + ' %'
							//     });
							// }
					}
				},
			}
		},
		series: [{
			type: 'pie',
			innerSize: '80%',
			name: '所占比重',
			data: [
				//				[result.yinageshui + "", parseFloat(result.yinageshui).toFixed(2)+""],
				//				[result.shuihou + "", parseFloat(result.shuihou).toFixed(2)+""]

				[solveNan(parseFloat(result.yinageshui).toFixed(2)) , result.yinageshui],
				[solveNan(parseFloat(result.shuihou).toFixed(2)) ,result.shuihou]
			]
		}]
	}, function(c) {
		// 环形图圆心
		var centerY = c.series[0].center[1],
			titleHeight = parseInt(c.title.styles.fontSize);
		c.setTitle({
			y: centerY + titleHeight / 2
		});
		chart = c;
	});
	function setNumber() {
		$("#geshui").html(solveNan(parseFloat(result.yinageshui).toFixed(2)));
		$("#shuiback").html(solveNan(parseFloat(result.shuihou).toFixed(2)));
		// $("#shuiback").html(solveNan(result.shuihou.toFixed(2)));
	}
	function solveNan(obj) {
		var number = 0;
		if (isNaN(obj)) {
			number = 0.00;
		} else {
			number = obj;
		}
		return number;
	}

});