$(function() {

	initial();

	//初始化
	function initial() {
		initSqgzShow(); //初始化“税前工资”显示
		initCityShow(); //初始化显示城市
		initYuSheShow(); //初始化预设select显示
		initlistShow(); //初始化列表显示
		initialClick(); //初始化点击事件
		$(".inpvnum").attr("disabled", "true");
		if(isIOS()){
			// alert("ios")
			$(".but_div").css("padding-bottom","0.17rem");
			$(".conf_2").css("padding-bottom", "0.1rem");
			$(".conf_1").css("padding-bottom", "0.1rem");
			$(".lineflag div").css("height","0.9rem");
			
		}
		
	}

	//初始化点击事件
	function initialClick() {
		initport(); //初始化"个人部分"，"单位部分"
		initRepeatCalcu(); //初始化"重新计算"点击事件
		initiInputMoney(); //工资输入焦点初始化
		initCityClick(); //城市选择
		initTaxTableButClick(); //税率表点击事件
		initCunChuClick(); //存储预设 点击事件
		initSelectYuShe(); //select 预设点击事件
		initInputRule(); //初始化输入规则检测
		initDelYus(); //删除预设点击事件
		initListClick(); //列表点击事件
		initPopWindowClick(); //弹窗设置
		inpuYusheCheck(); //弹出输入预设名字，规则检查
		initWin1butClick(); //弹出窗1带有按钮点击事件
		initWin2ButClick(); //弹出窗口确定按钮点击事件
	}
	//初始化“税前工资”显示
	function initSqgzShow() {
		var value = sessionStorage.getItem("SALARY_CURRENT"); //getUrlParam("salary");
		if (!isEmpty(value) && parseFloat(value) > 0)
			$("#sqgzdelid").val(value);
		else if (parseFloat(value) == 0) {
			$("#sqgzdelid").focus();
		}
		var nav = sessionStorage.getItem("INDEX_NAV");
		var grade = getUrlParam("grade");
		if (nav == "0" && grade == "0") { //"计算税后"，工资薪金所得
			$("#sqgzwordid").text("税前工资");
			$("#xgtisid").text("税后收入");
		} else if (nav == "1" && grade == "0") { //"反推税前"，工资薪金所得
			$("#sqgzwordid").text("税后收入");
			$("#xgtisid").text("税前工资");
		}
	}
	//初始化列表显示
	function initlistShow() {
		var salary = sessionStorage.getItem("SALARY_CURRENT");
		if (parseInt(salary) == 0) {
			var obj = $(".inpvnum");
			// console.log(obj.length)
			for (var index = 0; index < obj.length;index++) {
				$(obj[index]).val("0");
			}
			//			$("#yngsid").val("0"); //应纳个税
			//			$("#shsrid").val("0"); //税后工资
			//			obj = $("#mshbfbid");
			//			obj.text("0%");
			//			obj.next().val("0");      
			//			return;
		}
		var opt = $("#yscuncselid").find("option:selected").text();
		if (!saveToList(opt)) {
			var cityInfor = getCityInfor(); //获取城市相关数据
			if (isEmpty(cityInfor))
				return;
			salary = parseFloat(salary);
			opareList(salary, cityInfor);
		}
		//refreshShow(salary); //刷新显示
	}

	//刷新显示
	function refreshShow(salary) {
		var opt = $("#yscuncselid").find("option:selected").text();
		if (!saveToList(opt)) {
			var cityInfor = getCityInfor(); //获取城市相关数据
			if (isEmpty(cityInfor))
				return;
			salary = parseFloat(salary);
			opareList(salary, cityInfor);
		}
		calculaterList(); //根据list 计算
	}

	//根据list 计算
	function calculaterList() {

		for (var index = 0; index < 6; index++) {
			var value = (readCell(index, 0) * readCell(index, 1) / 100) + readCell(index, 2);
			writeCell(index, 3, value.toFixed(2));
		}

		//计算免税合计
		var mshj = 0;
		for (var index = 0; index < 6; index++) {
			mshj += parseFloat(readCell(index, 3));
		}
		mshj += parseFloat($("#sfyxqtkcid").val());
		$(".mshiid").val(mshj.toFixed(2));
		//免税合计百分比
		var bfb = 0;
		for (var index = 0; index < 6; index++) {
			bfb += parseFloat(readCell(index, 1));
		}
		if (bfb.toFixed(2) != 'NaN'){
			$("#mshbfbid").text(bfb.toFixed(2) + "%");
		}
			// console.log(bfb.toFixed(2))
		

		//税后或税前收入
		var nav = sessionStorage.getItem("INDEX_NAV");
		var grade = getUrlParam("grade");
		var salary = getInputMoney();
		salary = parseFloat(salary);
		var result = {};

		if (nav == "0" && grade == "0") { //"计算税后"，工资薪金所得
			//应纳税额
			var yngs = salary - mshj;
			yngs = parseFloat(yngs);
			//税后收入
			var taxTable = localStorage.getItem("SHULVTABLE");
			taxTable = JSON.parse(taxTable);
			if (salary > parseFloat(taxTable.ignore)) {
				salary = parseFloat(salary) - yngs;
			}
			result.ynse = getGerenShuiFei(yngs);
			result.shuihou = yngs - parseFloat(result.ynse);
		} else if (nav == "1" && grade == "0") { //"反推税前"，工资薪金所得
			var ctinfor = {
				"yanglao": {
					"basetop": "0",
					"basedown": "0",
					"compscale": "0",
					"selfadd": parseFloat(readCell(0, 2)) / 100,
					"selfscal": parseFloat(readCell(0, 1)) / 100
				},
				"yiliao": {
					"basetop": "0",
					"basedown": "0",
					"compscale": "0",
					"compadd": "0",
					"selfscal": parseFloat(readCell(1, 2)) / 100,
					"selfadd": parseFloat(readCell(1, 1)) / 100
				},
				"shiye": {
					"basetop": "0",
					"basedown": "0",
					"compscale": "0",
					"selfadd": "0",
					"selfscal": parseFloat(readCell(2, 1)) / 100
				},
				"shengyu": {
					"basetop": "0",
					"basedown": "0",
					"compscale": "0",
					"selfadd": "0",
					"selfscal": parseFloat(readCell(3, 1)) / 100
				},
				"gongshang": {
					"basetop": "0",
					"basedown": "0",
					"compscale": "0",
					"selfadd": "0",
					"selfscal": parseFloat(readCell(4, 1)) / 100
				},
				"gongjijin": {
					"basetop": "0",
					"basedown": "0",
					"compscale": "0",
					"selfadd": "0",
					"selfscal": parseFloat(readCell(5, 1)) / 100
				}
			};
			var num = jisuan2(salary, mshj, ctinfor);
			result.ynse = num - mshj;
			result.shuihou = num;//这里税前
		}
		var resultObj = JSON.parse(sessionStorage.getItem("TEMPRESULT"));
		sessionStorage.setItem("TEMPRESULT", JSON.stringify(result));
		if(isEmpty(resultObj)){
			resultObj = new Object();
		}
		console.log(resultObj)
		if (!isEmpty(resultObj.show) && resultObj.show == "1") {
			result = resultObj;
			resultObj.show = "0";
			sessionStorage.setItem("TEMPRESULT", JSON.stringify(resultObj));
		}
		$("#yngsid").val(parseFloat(result.ynse).toFixed(2)); //应纳个税
		$("#shsrid").val(parseFloat(result.shuihou).toFixed(2)); //税后工资
	}
	//写入list
	function writeCell(row, col, data) {
		if (row >= 6 || col >= 4)
			return;
		$($(".inpvnum")[4 * row + col]).val(data);
	}
	//读取list
	function readCell(row, col) {
		if (row >= 6 || col >= 4)
			return;
		return parseFloat($($(".inpvnum")[4 * row + col]).val());
	}
	//计算list
	function opareList(salary, cityInfor) {
		var base = 0;
		salary = parseFloat(salary);
		if (salary <= parseFloat(cityInfor.yanglao.basedown)) {
			base = cityInfor.yanglao.basedown;
		} else if (salary >= parseFloat(cityInfor.yanglao.basetop)) {
			base = cityInfor.yanglao.basetop;
		} else
			base = salary;
		writeCell(0, 0, base);
		writeCell(0, 1, isEmpty(cityInfor.yanglao.selfscal) ? 0 : (parseFloat(cityInfor.yanglao.selfscal) * 100).toFixed(2));
		writeCell(0, 2, isEmpty(cityInfor.yanglao.selfadd) ? 0 : cityInfor.yanglao.selfadd);

		if (salary <= parseFloat(cityInfor.yiliao.basedown)) {
			base = cityInfor.yiliao.basedown;

		} else if (salary >= parseFloat(cityInfor.yiliao.basetop)) {
			base = cityInfor.yiliao.basetop;
		} else
			base = salary;
		writeCell(1, 0, base);
		writeCell(1, 1, isEmpty(cityInfor.yiliao.selfscal) ? 0 : (parseFloat(cityInfor.yiliao.selfscal) * 100).toFixed(2));
		writeCell(1, 2, isEmpty(cityInfor.yiliao.selfadd) ? 0 : cityInfor.yiliao.selfadd);

		if (salary <= parseFloat(cityInfor.shiye.basedown)) {
			base = cityInfor.shiye.basedown;

		} else if (salary >= parseFloat(cityInfor.shiye.basetop)) {
			base = cityInfor.shiye.basetop;
		} else
			base = salary;
		writeCell(2, 0, base);
		writeCell(2, 1, isEmpty(cityInfor.shiye.selfscal) ? 0 : (parseFloat(cityInfor.shiye.selfscal) * 100).toFixed(2));
		writeCell(2, 2, isEmpty(cityInfor.shiye.selfadd) ? 0 : cityInfor.shiye.selfadd);


		if (salary <= parseFloat(cityInfor.shengyu.basedown)) {
			base = cityInfor.shengyu.basedown;

		} else if (salary >= parseFloat(cityInfor.shengyu.basetop)) {
			base = cityInfor.shengyu.basetop;
		} else
			base = salary;
		writeCell(3, 0, base);
		writeCell(3, 1, isEmpty(cityInfor.shengyu.selfscal) ? 0 : (parseFloat(cityInfor.shengyu.selfscal) * 100).toFixed(2));
		writeCell(3, 2, isEmpty(cityInfor.shengyu.selfadd) ? 0 : cityInfor.shengyu.selfadd);

		if (salary <= parseFloat(cityInfor.gongshang.basedown)) {
			base = cityInfor.gongshang.basedown;

		} else if (salary >= parseFloat(cityInfor.gongshang.basetop)) {
			base = cityInfor.gongshang.basetop;
		} else
			base = salary;
		writeCell(4, 0, base);
		writeCell(4, 1, isEmpty(cityInfor.gongshang.selfscal) ? 0 : (parseFloat(cityInfor.gongshang.selfscal) * 100).toFixed(2));
		writeCell(4, 2, isEmpty(cityInfor.gongshang.selfadd) ? 0 : cityInfor.gongshang.selfadd);


		if (salary <= parseFloat(cityInfor.gongjijin.basedown)) {
			base = cityInfor.gongjijin.basedown;

		} else if (salary >= parseFloat(cityInfor.gongjijin.basetop)) {
			base = cityInfor.gongjijin.basetop;
		} else
			base = salary;
		writeCell(5, 0, base);
		writeCell(5, 1, isEmpty(cityInfor.gongjijin.selfscal) ? 0 : (parseFloat(cityInfor.gongjijin.selfscal) * 100).toFixed(2));
		writeCell(5, 2, isEmpty(cityInfor.gongjijin.selfadd) ? 0 : cityInfor.gongjijin.selfadd);
	}

	//初始化预设select显示
	function initYuSheShow() {
		var saveObj = localStorage.getItem("DOBEST_GESHUI_CUSTEM");
		if (isEmpty(saveObj))
			return;
		saveObj = JSON.parse(saveObj);
		var obj = $("#yscuncselid");
		for (var index in saveObj) {
			obj.append("<option>" + saveObj[index].name + "</option>");
		}
	}

	//初始化"个人部分"，"单位部分"
	function initport() {
		$(".hebut").click(function() {
			var obj = $(".hebut");
			obj.css("background-color", "white");
			obj.css("color", "#1B82D2");
			obj = $(this);
			var nav = obj.attr("nav_but");
			obj.css("background-color", "#1B82D2");
			obj.css("color", "white");
			if (nav == "0") { //个人部分
				$(".secod_footer").hide();
				$(".footer").show();
				//$(".head_in").css("visibility", "visible");
				$("#bl").html("个人比例");
				$("#bc").html("个人补充");
				$("#tifshijnid").html("个人缴纳");
				//重置比例
				resetScalTax(0); //恢复成个人部分
				sessionStorage.setItem("hebutStatus", nav);
			} else if (nav == "1") { //公司部分
				//$(".head_in").css("visibility", "hidden");
				$(".footer").hide();
				$(".secod_footer").show();
				$("#bl").html("单位比例");
				$("#bc").html("单位补充");
				$("#tifshijnid").html("单位缴纳");
				//重置比例
				resetScalTax(1); //恢复成单位部分
				sessionStorage.setItem("hebutStatus", nav);
			}
			calculaterList(); //根据list 计算
		});
		$(".hebut")[0].click();
	}
	//城市选择
	function initCityClick() {
		$("#selectCityid").click(function() {
			var result = sessionStorage.getItem("TEMPRESULT");
			result = JSON.parse(result);
			result.show = "1";
			sessionStorage.setItem("TEMPRESULT", JSON.stringify(result));
			window.open("citysel.html");
		});
	}
	//select 预设点击事件
	function initSelectYuShe() {
		$("#yscuncselid").change(function() {
			$(".inpvnum").removeAttr("disabled");
			var opt = $(this).find("option:selected").text();
			saveToList(opt);
			delClickEnable(true);
		});
	}
	//将数据写入list; return false未写入，true写入成功
	function saveToList(opt) {
		// alert('enter'); 
		if (opt == "预设") {
			delClickEnable(false);
			return false;
		}
		var saveObj = localStorage.getItem("DOBEST_GESHUI_CUSTEM");
		saveObj = JSON.parse(saveObj);
		
		for (var index in saveObj) {
			// console.log(index)
			try{
				if (saveObj[index].name == opt) {
					// console.log(index)
					// console.log(saveObj[index].name)
					var obj = $(".inpvnum");
					var arr = saveObj[index].value;
					// console.log(obj)
					// console.log(arr)
					// for (var ind in obj) {
					// 	console.log(ind);
					// 	$(obj[ind]).val(arr[ind]);
					// }
					for (var ind=0;ind<obj.length;ind++) {
						console.log(ind);
						$(obj[ind]).val(arr[ind]);
					}
					break;
				}
			}catch(e){}
			
		}
		return true;
	}
	//存储预设 点击事件
	function initCunChuClick() {
		$("#ccysid").click(function() {
			var saveObj = localStorage.getItem("DOBEST_GESHUI_CUSTEM");
			saveObj = JSON.parse(saveObj);
			if (isEmpty(saveObj) || saveObj.length < 8) {
				contrPopWin(0);
			} else {
				contrPopWin(2);
			}
		});
	}
	//税率表点击事件
	function initTaxTableButClick() {
		$("#taxtableid").click(function() {
			window.open("citytaxtable.html");
		});
	}
	//"重新计算按钮"
	function initRepeatCalcu() {
		$("#resetcalbutid").bind("click", function() {
			// $(".inpvnum").removeAttr("disabled");
			$(".contopacity").css("opacity","1");
			//calculaterList(); //根据list 计算
			var status = sessionStorage.getItem("hebutStatus");
			if(status === "0"){//个人部分计算
				refreshShow(sessionStorage.getItem("SALARY_CURRENT")); //刷新显示
			}else if(status === "1"){//公司部分计算
				resetScalTax(0); //恢复成个人部分
				calculaterList(); //根据list 计算
				refreshShow(sessionStorage.getItem("SALARY_CURRENT")); //刷新显示
				
				resetScalTax(1); //恢复成单位部分
				calculaterList(); //根据list 计算
			}
		});
	}
	//删除预设点击事件
	function initDelYus() {
		$("#deleteyusuid").click(function() {
			var enable = $(this).attr("isclick");
			if ("true" == enable) {
				contrPopWin(1);
			}
		});
	}
	//列表点击事件
	function initListClick() {
		var blurFlag = true;
		//输入框点击事件
		$(".inpvnum").click(function() {
			$(".inpvnum").next().css("display", "none");
			$(this).next().css("display", "inline-block");
			if($(this).attr("flag") == "1")
			$(this).css("width","70%");
			$(this).css("text-align", "right");
			$(this).siblings(".hid").css("visibility","hidden");
		});
		//输入框失去焦点事件
		$(".inpvnum").blur(function() {
			var obj = $(this);
			
			setTimeout(function() {
				if (!obj.is(":focus")) {
					if (obj.attr("flag") == "1"){
						// alert("ddd")
						obj.css("width", "100%");
						obj.css("text-align","center");
					}
					// alert("out")	
					obj.next().css("display", "none");
					obj.siblings(".hid").css("visibility", "visible");
					obj.css("text-align", "center");
					var value = obj.val().trim();
					if (isEmpty(value))
						obj.val("0");
				}
			}, 10);
		});
		//输入框旁边的清除image
		$(".inpclear").click(function() {
			var obj = $($(this).prev());
			obj.val("");
			obj.focus();
		});
	}

	//初始化输入规则检测
	function initInputRule() {
		$(".inputrule").bind("keyup", function() {
			$(this).val(getFilterNumber($(this).val()));
		});
		$(".inpvnum").bind("keyup", function() {
			$(this).val(getFilterNumber($(this).val()));
		});
	}
	//工资输入焦点初始化
	function initiInputMoney() {
		$("#sqgzdelid").focus(function() {
			$(this).next().css("display", "inline-block");
		});
		$("#sqgzdelid").blur(function() {
			var obj = $(this);
			setTimeout(function() {
				if (!obj.is(":focus")) {
					if (isEmpty(obj.val())) {
						$("#sqgzdelid").val(getUrlParam("salary"));
					}
					sessionStorage.setItem("SALARY_CURRENT", obj.val());
					$("#closeimg").css("display", "none");
				}
			}, 500);
		});
		$("#closeimg").click(function() {
			$("#sqgzdelid").val("");
			$("#sqgzdelid").focus();
		});
	}
	//弹窗设置
	function initPopWindowClick() {
		$(".sare").click(function() {
			var tagid = $(this).attr("tagid");
			var obj = $("#savenameid");
			var name = obj.val().trim();
			obj.val("");
			if ("1" == tagid) //保存
			{
				if (isEmpty(name)) {
					$("#savenameid").css("border-color", "red");
				} else {
					contrPopWin(-1); //关闭弹窗
					$("#savenameid").css("border-color", "transparent");
					var saveObj = localStorage.getItem("DOBEST_GESHUI_CUSTEM");
					saveObj = JSON.parse(saveObj);
					if (isEmpty(saveObj)) {
						saveObj = [];
					}
					var arr = new Array();
					var inputObj = $(".inpvnum");
					for (var index = 0; index < inputObj.length; index++) {
						arr[index] = $(inputObj[index]).val();
					}
					saveObj.push({
						"name": name,
						"value": arr
					});
					localStorage.setItem("DOBEST_GESHUI_CUSTEM", JSON.stringify(saveObj));
					$("#yscuncselid").append("<option>" + name + "</option>");
				}
			} else {
				contrPopWin(-1); //关闭弹窗
			}
		});
	}
	//弹出窗1带有按钮点击事件
	function initWin1butClick() {
		$(".win1but").click(function() {
			var tagid = $(this).attr("tagid");
			contrPopWin(-1);
			if ("1" == tagid) {
				var opt = $("#yscuncselid").find("option:selected").text();
				var saveObj = localStorage.getItem("DOBEST_GESHUI_CUSTEM");
				saveObj = JSON.parse(saveObj);
				for (var index in saveObj) {
					if (saveObj[index].name == opt) {
						delClickEnable(false);
						saveObj.splice(index, 1);
						localStorage.setItem("DOBEST_GESHUI_CUSTEM", JSON.stringify(saveObj));
						$("#yscuncselid option:selected").remove();
						break;
					}
				}
			}
		});
	}
	//弹出窗口确定按钮点击事件
	function initWin2ButClick() {
		$("#enbutwin2id").click(function() {
			contrPopWin(-1);
		});
	}
	//弹出窗口输入预设名字，规则检查
	function inpuYusheCheck() {
		$("#savenameid").keyup(function() {
			var value = $(this).val();
			value = value.trim();
			if (value.length > 6)
				$(this).val(value.substring(0, 6));
		});
	}

	//初始化显示城市
	function initCityShow() {
		var cityinfor = sessionStorage.getItem("selecedCity_session");

		if (isEmpty(cityinfor)) {
			$("#selectCityid").children("div").html("选择城市");
			return;
		}
		cityinfor = JSON.parse(cityinfor);
		$("#selectCityid").children("div").html(cityinfor.cityName);
	}

	//使能或失效删除可点击;isok:true处于可点击状态
	function delClickEnable(isok) {
		var ob = $("#deleteyusuid");
		if (isok) {
			ob.css("border-color", "#1B82D2");
			ob.css("color", "#fff");
			ob.css("background-color", "#1B82D2");
			ob.attr("isclick", "true");
		} else {
			ob.css("border-color", "#888888");
			ob.css("color", "#888888");
			ob.css("background-color", "#fff");
			ob.attr("isclick", "false");
		}
	}

	//控制弹出提示窗口
	function contrPopWin(num) {
		//window2
		switch (num) {
			case 0:
				clearShow();
				$("#window0").show();
				$(".popwindow").show();
				break;
			case 1:
				clearShow();
				$("#window1").show();
				$(".popwindow").show();
				break;
			case 2:
				clearShow();
				$("#window2").show();
				$(".popwindow").show();
				break;
			default:
				clearShow();
				break;
		}

		function clearShow() {
			$(".popwindow").hide();
			$("#window0").hide();
			$("#window1").hide();
			$("#window2").hide();
		}
	}
	//
	function resetScalTax(num) {
		var cityinfor = getCityInfor(); //获取城市相关数据
		if (isEmpty(cityinfor))
			return;
		if (num == 0) {
			writeCell(0, 1, isEmpty(cityinfor.yanglao.selfscal) ? 0 : (parseFloat(cityinfor.yanglao.selfscal) * 100).toFixed(2));
			writeCell(1, 1, isEmpty(cityinfor.yiliao.selfscal) ? 0 : (parseFloat(cityinfor.yiliao.selfscal) * 100).toFixed(2));
			writeCell(2, 1, isEmpty(cityinfor.shiye.selfscal) ? 0 : (parseFloat(cityinfor.shiye.selfscal) * 100).toFixed(2));
			writeCell(3, 1, isEmpty(cityinfor.shengyu.selfscal) ? 0 : (parseFloat(cityinfor.shengyu.selfscal) * 100).toFixed(2));
			writeCell(4, 1, isEmpty(cityinfor.gongshang.selfscal) ? 0 : (parseFloat(cityinfor.gongshang.selfscal) * 100).toFixed(2));
			writeCell(5, 1, isEmpty(cityinfor.gongjijin.selfscal) ? 0 : (parseFloat(cityinfor.gongjijin.selfscal) * 100).toFixed(2));

			writeCell(0, 2, isEmpty(cityinfor.yanglao.selfadd) ? 0 : parseFloat(cityinfor.yanglao.selfadd));
			writeCell(1, 2, isEmpty(cityinfor.yiliao.selfadd) ? 0 : parseFloat(cityinfor.yiliao.selfadd));
			writeCell(2, 2, isEmpty(cityinfor.shiye.selfadd) ? 0 : parseFloat(cityinfor.shiye.selfadd));
			writeCell(3, 2, isEmpty(cityinfor.shengyu.selfadd) ? 0 : parseFloat(cityinfor.shengyu.selfadd));
			writeCell(4, 2, isEmpty(cityinfor.gongshang.selfadd) ? 0 : parseFloat(cityinfor.gongshang.selfadd));
			writeCell(5, 2, isEmpty(cityinfor.gongjijin.selfadd) ? 0 : parseFloat(cityinfor.gongjijin.selfadd));
		} else if (num == 1) {

			writeCell(0, 1, isEmpty(cityinfor.yanglao.compscale) ? 0 : (parseFloat(cityinfor.yanglao.compscale) * 100).toFixed(2));
			writeCell(1, 1, isEmpty(cityinfor.yiliao.compscale) ? 0 : (parseFloat(cityinfor.yiliao.compscale) * 100).toFixed(2));
			writeCell(2, 1, isEmpty(cityinfor.shiye.compscale) ? 0 : (parseFloat(cityinfor.shiye.compscale) * 100).toFixed(2));
			writeCell(3, 1, isEmpty(cityinfor.shengyu.compscale) ? 0 : (parseFloat(cityinfor.shengyu.compscale) * 100).toFixed(2));
			writeCell(4, 1, isEmpty(cityinfor.gongshang.compscale) ? 0 : (parseFloat(cityinfor.gongshang.compscale) * 100).toFixed(2));
			writeCell(5, 1, isEmpty(cityinfor.gongjijin.compscale) ? 0 : (parseFloat(cityinfor.gongjijin.compscale) * 100).toFixed(2));

			writeCell(0, 2, isEmpty(cityinfor.yanglao.compadd) ? 0 : parseFloat(cityinfor.yanglao.compadd));
			writeCell(1, 2, isEmpty(cityinfor.yiliao.compadd) ? 0 : parseFloat(cityinfor.yiliao.compadd));
			writeCell(2, 2, isEmpty(cityinfor.shiye.compadd) ? 0 : parseFloat(cityinfor.shiye.compadd));
			writeCell(3, 2, isEmpty(cityinfor.shengyu.compadd) ? 0 : parseFloat(cityinfor.shengyu.compadd));
			writeCell(4, 2, isEmpty(cityinfor.gongshang.compadd) ? 0 : parseFloat(cityinfor.gongshang.compadd));
			writeCell(5, 2, isEmpty(cityinfor.gongjijin.compadd) ? 0 : parseFloat(cityinfor.gongjijin.compadd));
		}
	}

	//读取输入工资
	function getInputMoney() {
		var value = $("#sqgzdelid").val();
		if (isEmpty(value))
			return 0;
		return value;
	}
});